﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_STOCKCHGLOGDETAIL') 
 CREATE TABLE T_OM_STOCKCHGLOGDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FENTRYCHANGETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQTYTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYNUMERATOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQTYDENOMINATOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWASTAGERATEFORMULA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIXSCRAP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSCRAPRATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTANDQTY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEMANDQTY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUNISSUEQTY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSEQTY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWIPQTY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCANSENDQTY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLYMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLIERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLYORGID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWAREHOUSEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTORGUNITID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTWAREHOUSEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISSUEMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISBACKFLUSH NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISBULKMATERIAL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISKEYPART NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOVERISSUECONTRL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISSINHIGHLIMIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTRARATIOQTY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISSINLOWLIMIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLACKRAITIOQTY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEMANDDATE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_XMFSTOCKCHANGELOG') 
 CREATE TABLE T_OM_XMFSTOCKCHANGELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTOCKNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTOCKENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTOCKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTOCKENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEDATAPROPFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANGENO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTOCKCHANGEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTOCKCHANGEENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTOCKCHANGEENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREASON NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYIDF BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_XMFTORDERENTRY_S') 
 CREATE TABLE T_OM_XMFTORDERENTRY_S (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FMFTDEPTORGID BIGINT DEFAULT 0 NOT NULL,
FBOMID BIGINT DEFAULT 0 NOT NULL,
FOMVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPLACENO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRANSACTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FORDERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMFTINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROCESSROUTE BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLAUXUNIT BIGINT DEFAULT 0 NOT NULL,
FBILLAUXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPROPERTY BIGINT DEFAULT 0 NOT NULL,
FISCHANGED CHAR(1) DEFAULT '0' NOT NULL,
FPRODUCTMASTERID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FPLANPREPARETIME DATETIME,
FBIZTIME DATETIME,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUPPLIERTOP BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_XMFTSTOCKENTRY') 
 CREATE TABLE T_OM_XMFTSTOCKENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FBOMREVERSION BIGINT DEFAULT 0 NOT NULL,
FQTYTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISCANNEGATIVE CHAR(1) DEFAULT '0' NOT NULL,
FCHILDBOMID BIGINT DEFAULT 0 NOT NULL,
FCHILDBOMVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHILDAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FBATCHNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATION BIGINT DEFAULT 0 NOT NULL,
FOUTORGUNITID BIGINT DEFAULT 0 NOT NULL,
FOUTWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FISSUEMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBACKFLUSHTIME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISKEYPART CHAR(1) DEFAULT '0' NOT NULL,
FOVERISSUECONTRL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISSINHIGHLIMIT DECIMAL(10,2) DEFAULT 0 NOT NULL,
FEXTRARATIOQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISSINLOWLIMIT DECIMAL(10,2) DEFAULT 0 NOT NULL,
FLACKRAITIOQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLEADTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEMANDDATE DATETIME,
FOPRNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISBACKFLUSH NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISSTOCKALLOT CHAR(1) DEFAULT '0' NOT NULL,
FISBOMEXTEND CHAR(1) DEFAULT '0' NOT NULL,
FISBULKMATERIAL CHAR(1) DEFAULT '0' NOT NULL,
FWORKPLANID BIGINT DEFAULT 0 NOT NULL,
FREPLACEPLAN BIGINT DEFAULT 0 NOT NULL,
FPRIORITY BIGINT DEFAULT 0 NOT NULL,
FISMAINREPLACE CHAR(1) DEFAULT '0' NOT NULL,
FMATERIELMASTERID BIGINT DEFAULT 0 NOT NULL,
FOUTLOCATION BIGINT DEFAULT 0 NOT NULL,
FBOMENTRYID BIGINT DEFAULT 0 NOT NULL,
FPROCESSSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRWORKCENTER BIGINT DEFAULT 0 NOT NULL,
FMACHININGTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLIER BIGINT DEFAULT 0 NOT NULL,
FWORKSTATION BIGINT DEFAULT 0 NOT NULL,
FWORKPROCEDUREID BIGINT DEFAULT 0 NOT NULL,
FSENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYPRODUCTNANME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_XMFTSTOCKENTRY_A') 
 CREATE TABLE T_OM_XMFTSTOCKENTRY_A (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FENTRYCHANGETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTOCKNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYORDERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FENTRYIDF BIGINT DEFAULT 0 NOT NULL,
FSTOCKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCTBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FPRODUCTTRANSID BIGINT DEFAULT 0 NOT NULL,
FISLEAD CHAR(1) DEFAULT '0' NOT NULL,
FPRODUCTNO BIGINT DEFAULT 0 NOT NULL,
FPRODUCTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODEPTORGID BIGINT DEFAULT 0 NOT NULL,
FSTOCKENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_XMFTSTOCKENTRY_B') 
 CREATE TABLE T_OM_XMFTSTOCKENTRY_B (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FUSERATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEMANDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTISSUEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNISSUEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREJECTEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFEEDINGQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWIPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCANSENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FALLOTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWASTAGERATEFORMULA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_XMFTORDER') 
 CREATE TABLE T_OM_XMFTORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTRANSACTIONTYPE BIGINT DEFAULT 0 NOT NULL,
FBILLDATE DATETIME,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FBIZTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FSUPPLIER1 BIGINT DEFAULT 0 NOT NULL,
FREASON NVARCHAR(512) DEFAULT ' ' NOT NULL,
FORG1 BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERHEAD BIGINT DEFAULT 0 NOT NULL,
FPURORGHEAD BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_XMFTORDERENTRY') 
 CREATE TABLE T_OM_XMFTORDERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FPRODUCEDEPT BIGINT DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANBEGINTIME DATETIME,
FPLANENDTIME DATETIME,
FBOMID BIGINT DEFAULT 0 NOT NULL,
FEXPENDBOMTIME DATETIME,
FREPLACENO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSROUTE BIGINT DEFAULT 0 NOT NULL,
FPLANSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FKITTINGSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPICKSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBATCHNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINWARCONSIGNER BIGINT DEFAULT 0 NOT NULL,
FINWARDEPT BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSE BIGINT DEFAULT 0 NOT NULL,
FLOCATION BIGINT DEFAULT 0 NOT NULL,
FISCONTROLQTY CHAR(1) DEFAULT '0' NOT NULL,
FOUTPUTOPERATION BIGINT DEFAULT 0 NOT NULL,
FQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPROPERTY BIGINT DEFAULT 0 NOT NULL,
FRPTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FESTSCRAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINWARMAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINWARMIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPTYUNIT BIGINT DEFAULT 0 NOT NULL,
FAUXPTYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMANFTECHSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FYIELDRATE DECIMAL(23,4) DEFAULT 0 NOT NULL,
FROUTEREPLACE BIGINT DEFAULT 0 NOT NULL,
FRCVINHIGHLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRCVINLOWLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMTLCOSTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWORKWASTEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPORTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMANUVERSION BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPURORGID BIGINT DEFAULT 0 NOT NULL,
FCHANGETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLNO1 NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_XMFTORDERENTRY_E') 
 CREATE TABLE T_OM_XMFTORDERENTRY_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FSCRAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAIRQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREWORKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPICKINGPAIRS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUAINWAQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWAITCHECKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUAINWAQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRINWAQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPINWAQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANSURETIME DATETIME,
FTRANSMITTIME DATETIME,
FSTARTWORKTIME DATETIME,
FENDWORKTIME DATETIME,
FCLOSETIME DATETIME,
FENDCASETIME DATETIME,
FSOURCEBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEBILLNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIELMASTERID BIGINT DEFAULT 0 NOT NULL,
FISINSPECTION CHAR(1) DEFAULT '0' NOT NULL,
FACCEPTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISCONREPORTQTY CHAR(1) DEFAULT '0' NOT NULL,
FREPMAXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPMAXRATE DECIMAL(10,2) DEFAULT 0 NOT NULL,
FREPMINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPMINRATE DECIMAL(10,2) DEFAULT 0 NOT NULL,
FPLANPREPARETIME DATETIME,
FORDERBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERID BIGINT DEFAULT 0 NOT NULL,
FAPPLYID BIGINT DEFAULT 0 NOT NULL,
FORDERENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYENTRYID BIGINT DEFAULT 0 NOT NULL,
FPURPUSHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURAUDITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWORKCENTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_XMFTORDERMLOGENTRY') 
 CREATE TABLE T_OM_XMFTORDERMLOGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCHANGETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FQTY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISCONTROLQTY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINWARDEPT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUNITFIELD BIGINT DEFAULT 0 NOT NULL,
FRCVINHIGHLIMIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRCVINLOWLIMIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINWARMAX NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINWARMIN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLANBEGINTIME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLANENDTIME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLANPREPARETIME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLNOENTRY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLSEQENTRY BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOCATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANGETYPEENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_XMFTORDERMLOG') 
 CREATE TABLE T_OM_XMFTORDERMLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLVERSION BIGINT DEFAULT 0 NOT NULL,
FXBILLID BIGINT DEFAULT 0 NOT NULL,
FXBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FXREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCBILLJSON_TAG NCLOB,
FXBILLJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FXBILLJSON_TAG NCLOB,
FXMDJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FXMDJSON_TAG NCLOB,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FXBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FXBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCHANGESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANGETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_table.sql **/
