--简单委外组件清单表头-主表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_om_xxcomponentlist') 
CREATE TABLE  t_om_xxcomponentlist (
	fid BIGINT DEFAULT 0 NOT NULL,
	fbillno NVARCHAR(30) DEFAULT ' ' NOT NULL,
	fbillstatus NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fcreatorid BIGINT DEFAULT 0 NOT NULL,
	fmodifierid BIGINT DEFAULT 0 NOT NULL,
	fauditorid BIGINT DEFAULT 0 NOT NULL,
	fauditdate DATETIME,
	fmodifytime DATETIME,
	fcreatetime DATETIME,
	forgid BIGINT DEFAULT 0 NOT NULL,
	fmaterialid BIGINT DEFAULT 0 NOT NULL,
	funitid BIGINT DEFAULT 0 NOT NULL,
	fmftdeptorgid BIGINT DEFAULT 0 NOT NULL,
	fbomid BIGINT DEFAULT 0 NOT NULL,
	fomversion NVARCHAR(50) DEFAULT ' ' NOT NULL,
	freplaceno NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	ftransactiontypeid BIGINT DEFAULT 0 NOT NULL,
	forderno NVARCHAR(50) DEFAULT ' ' NOT NULL,
	forderid NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fmftinqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fremarks NVARCHAR(255) DEFAULT ' ' NOT NULL,
	fprocessroute BIGINT DEFAULT 0 NOT NULL,
	forderentryid BIGINT DEFAULT 0 NOT NULL,
	fbaseunitid BIGINT DEFAULT 0 NOT NULL,
	fbaseqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fbillauxunit BIGINT DEFAULT 0 NOT NULL,
	fbillauxqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fauxproperty BIGINT DEFAULT 0 NOT NULL,
	fischanged CHAR(1) DEFAULT '0' NOT NULL,
	fproductmasterid BIGINT DEFAULT 0 NOT NULL,
	fbilltype BIGINT DEFAULT 0 NOT NULL,
	fsupplier BIGINT DEFAULT 0 NOT NULL,
	fpurorg BIGINT DEFAULT 0 NOT NULL,
	ftextfield NVARCHAR(50) DEFAULT ' ' NOT NULL
);
--简单委外组件清单表头-多语言
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_om_xxcomponentlist_l') 
CREATE TABLE  t_om_xxcomponentlist_l (
	fpkid NVARCHAR(36) DEFAULT ' ' NOT NULL,
	fid BIGINT DEFAULT 0 NOT NULL,
	flocaleid NVARCHAR(10) DEFAULT ' ' NOT NULL
);
--简单委外组件清单分录-主表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_om_xxcomponententry') 
CREATE TABLE  t_om_xxcomponententry (
	fid BIGINT DEFAULT 0 NOT NULL,
	fentryid BIGINT DEFAULT 0 NOT NULL,
	fseq BIGINT DEFAULT 0 NOT NULL,
	fparententryid BIGINT DEFAULT 0 NOT NULL,
	fmaterialid BIGINT DEFAULT 0 NOT NULL,
	fmaterialunitid BIGINT DEFAULT 0 NOT NULL,
	fbomreversion BIGINT DEFAULT 0 NOT NULL,
	fqtytype NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fuseratio DECIMAL(23,10) DEFAULT 0 NOT NULL,
	ffixscrap DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fscraprate DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fstandqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fdemandqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	factissueqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	funissueqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fiscannegative CHAR(1) DEFAULT '0' NOT NULL,
	fchildbomid BIGINT DEFAULT 0 NOT NULL,
	fchildbomversion NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fchildauxpropertyid BIGINT DEFAULT 0 NOT NULL,
	fsupplymode NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fsupplierid BIGINT DEFAULT 0 NOT NULL,
	fbatchno NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fsupplyorgid BIGINT DEFAULT 0 NOT NULL,
	fwarehouseid BIGINT DEFAULT 0 NOT NULL,
	flocation BIGINT DEFAULT 0 NOT NULL,
	foutorgunitid BIGINT DEFAULT 0 NOT NULL,
	foutwarehouseid BIGINT DEFAULT 0 NOT NULL,
	fissuemode NVARCHAR(50) DEFAULT ' ' NOT NULL,
	foprno NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fqtynumerator DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fqtydenominator DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fwastagerateformula NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fisstockallot CHAR(1) DEFAULT '0' NOT NULL,
	fisbomextend CHAR(1) DEFAULT '0' NOT NULL,
	fentrychangetype NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fisbulkmaterial CHAR(1) DEFAULT '0' NOT NULL,
	fworkplanid BIGINT DEFAULT 0 NOT NULL,
	fmaterielmasterid BIGINT DEFAULT 0 NOT NULL,
	foutlocation BIGINT DEFAULT 0 NOT NULL,
	foutqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fuseqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	frework CHAR(1) DEFAULT '0' NOT NULL
);
--简单委外组件清单分录-扩展表 A:拆分表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_om_xxcomponententry_a') 
CREATE TABLE  t_om_xxcomponententry_a (
	fid BIGINT DEFAULT 0 NOT NULL,
	fentryid BIGINT DEFAULT 0 NOT NULL,
	fparententryid BIGINT DEFAULT 0 NOT NULL,
	fbackflushtime NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fiskeypart CHAR(1) DEFAULT '0' NOT NULL,
	foverissuecontrl NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fissinhighlimit DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fextraratioqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fissinlowlimit DECIMAL(23,10) DEFAULT 0 NOT NULL,
	flackraitioqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fleadtime DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fdemanddate DATETIME,
	frejectedqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	ffeedingqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fscrapqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fwipqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fcansendqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fallotqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fisbackflush NVARCHAR(50) DEFAULT ' ' NOT NULL,
	freplaceplan BIGINT DEFAULT 0 NOT NULL,
	fpriority BIGINT DEFAULT 0 NOT NULL,
	fismainreplace CHAR(1) DEFAULT '0' NOT NULL,
	fparentid BIGINT DEFAULT 0 NOT NULL,
	fbomentryid BIGINT DEFAULT 0 NOT NULL,
	fpromaterentryid BIGINT DEFAULT 0 NOT NULL,
	fentrychangestatus NVARCHAR(50) DEFAULT ' ' NOT NULL
);
--简单委外组件清单分录-扩展表 B:变更拆分
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_om_xxcomponententry_b') 
CREATE TABLE  t_om_xxcomponententry_b (
	fid BIGINT DEFAULT 0 NOT NULL,
	fentryid BIGINT DEFAULT 0 NOT NULL,
	fparententryid BIGINT DEFAULT 0 NOT NULL,
	fentryproductid BIGINT DEFAULT 0 NOT NULL,
	fentryproductqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fcomponentno NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fstockentryid NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fproducttransid BIGINT DEFAULT 0 NOT NULL,
	fstockid NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fproductbaseqty DECIMAL(23,10) DEFAULT 0 NOT NULL,
	fproductbaseunit BIGINT DEFAULT 0 NOT NULL,
	fstockno NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fstockentryseq NVARCHAR(50) DEFAULT ' ' NOT NULL,
	fislead CHAR(1) DEFAULT '0' NOT NULL
);
--简单委外组件清单分录-多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_om_xxcomponententry_l') 
CREATE TABLE  t_om_xxcomponententry_l (
	fpkid NVARCHAR(36) DEFAULT ' ' NOT NULL,
	fentryid BIGINT DEFAULT 0 NOT NULL,
	flocaleid NVARCHAR(10) DEFAULT ' ' NOT NULL,
	fchildremarks NVARCHAR(250) DEFAULT ' ' NOT NULL,
	fsetuplocation NVARCHAR(100) DEFAULT ' ' NOT NULL
);
