﻿
--工程变更类型增加字段：评估状态处理方式
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECOTYPE' AND KSQL_COL_NAME ='FSTATUSTYPE')
ALTER TABLE T_PDM_ECOTYPE ADD (FSTATUSTYPE NVARCHAR(50)   DEFAULT  'A'  NOT NULL);

--工程变更类型增加字段：成组关键件处理方式
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECOTYPE' AND KSQL_COL_NAME ='FGROUPKEYTYPE')
ALTER TABLE T_PDM_ECOTYPE ADD (FGROUPKEYTYPE NVARCHAR(50)   DEFAULT  'C'  NOT NULL);

--工程变更类型增加字段：关联关键件处理方式
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECOTYPE' AND KSQL_COL_NAME ='FREFKEYTYPE')
ALTER TABLE T_PDM_ECOTYPE ADD (FREFKEYTYPE NVARCHAR(50)   DEFAULT  'C'  NOT NULL);

--工程变更类型增加字段：自动变更组件清单
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECOTYPE' AND KSQL_COL_NAME ='FAUTOUPDATEORDER')
ALTER TABLE T_PDM_ECOTYPE ADD (FAUTOUPDATEORDER CHAR(1) DEFAULT '0' NOT NULL);


--工程变更修改日志分录字段增加字段：评估状态
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECO_LOG_ENTRY' AND KSQL_COL_NAME ='FESTIMATESTATUS')
ALTER TABLE T_PDM_ECO_LOG_ENTRY ADD (FESTIMATESTATUS NVARCHAR(50)   DEFAULT  'A'  NOT NULL);

--工程变更修改日志分录字段增加字段：成组关键主键
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECO_LOG_ENTRY' AND KSQL_COL_NAME ='FGROUPKEY')
ALTER TABLE T_PDM_ECO_LOG_ENTRY ADD (FGROUPKEY CHAR(1) DEFAULT '0' NOT NULL);

--工程变更修改日志分录字段增加字段：关联关键主键
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECO_LOG_ENTRY' AND KSQL_COL_NAME ='FREFKEY')
ALTER TABLE T_PDM_ECO_LOG_ENTRY ADD (FREFKEY CHAR(1) DEFAULT '0' NOT NULL);

--工程变更修改日志分录字段增加字段：已消耗数
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECO_LOG_ENTRY' AND KSQL_COL_NAME ='FOTHERS')
ALTER TABLE T_PDM_ECO_LOG_ENTRY ADD (FOTHERS NVARCHAR(255)   DEFAULT  ' '  NOT NULL);

--工程变更修改日志分录字段增加字段：关联实施号
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECO_LOG_ENTRY' AND KSQL_COL_NAME ='FENTRYREFNOS')
ALTER TABLE T_PDM_ECO_LOG_ENTRY ADD (FENTRYREFNOS NVARCHAR(80)   DEFAULT  ' '  NOT NULL );

--工程变更修改日志分录字段增加字段：成组号
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECO_LOG_ENTRY' AND KSQL_COL_NAME ='FENTRYGROUPNOS')
ALTER TABLE T_PDM_ECO_LOG_ENTRY ADD (FENTRYGROUPNOS NVARCHAR(80)   DEFAULT  ' '  NOT NULL);

--工程变更单产品分录增加字段：工程变更BOM对象ID（后台）
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_BOMECOPENTRY' AND KSQL_COL_NAME ='FECOBOMDATAID')
ALTER TABLE T_PDM_BOMECOPENTRY ADD (FECOBOMDATAID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_BOMECOPENTRY' AND KSQL_COL_NAME ='FBOMTYPEID')
ALTER TABLE T_PDM_BOMECOPENTRY ADD (FBOMTYPEID BIGINT DEFAULT 0 NOT NULL );


