﻿--更新组件清单字段设置表头 建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_UPDATESTOCKFIELD') 
CREATE TABLE T_PDM_UPDATESTOCKFIELD (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
	FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME,
	FMODIFYTIME DATETIME,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FBIZOBJECT NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FSYSDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
	FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

--更新组件清单字段设置表头多语言表 建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_UPDATESTOCKFIELD_L') 
CREATE TABLE T_PDM_UPDATESTOCKFIELD_L (
	FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);

--更新组件清单字段设置分录 建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_UPSTOCKFIELDENTRY') 
CREATE TABLE T_PDM_UPSTOCKFIELDENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FFIELDNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
	FFIELDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FENTRYSYSDEFAULT CHAR(1) DEFAULT '0' NOT NULL
);

--影响订单结果表--表头 建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_EFFECTORDERBILL') 
CREATE TABLE T_PDM_EFFECTORDERBILL (
	FID BIGINT DEFAULT 0 NOT NULL,
	FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
	FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FAUDITORID BIGINT DEFAULT 0 NOT NULL,
	FAUDITDATE DATETIME,
	FMODIFYTIME DATETIME,
	FCREATETIME DATETIME,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FORDERBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
	FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
	FREFNOS NVARCHAR(80) DEFAULT ' ' NOT NULL
);

--影响订单结果表--变更BOM数据 建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_EFFECTORDERENTRY') 
CREATE TABLE T_PDM_EFFECTORDERENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
	FMODIFYDATEFIELD DATETIME,
	FECOBILLID BIGINT DEFAULT 0 NOT NULL,
	FECOBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FECOPENTRYID BIGINT DEFAULT 0 NOT NULL,
	FECOBOMENTRYID BIGINT DEFAULT 0 NOT NULL,
	FAFTERECOBOMENTRYID BIGINT DEFAULT 0 NOT NULL,
	FENTRYMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FPRODUCTMATERIALID BIGINT DEFAULT 0 NOT NULL,
	FMATERIALID BIGINT DEFAULT 0 NOT NULL,
	FPRODUCTMASTERID BIGINT DEFAULT 0 NOT NULL,
	FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
	FPRODUCTUNITID BIGINT DEFAULT 0 NOT NULL,
	FUNITID BIGINT DEFAULT 0 NOT NULL,
	FACTTIME DATETIME,
	FCHANGEQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FCHANGEQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FCHILDBOMID BIGINT DEFAULT 0 NOT NULL,
	FBOMWORKCENTERID BIGINT DEFAULT 0 NOT NULL,
	FBOMWORKSTATIONID BIGINT DEFAULT 0 NOT NULL,
	FISJUMPLEVEL CHAR(1) DEFAULT '0' NOT NULL,
	FCONFIGUREDCODE BIGINT DEFAULT 0 NOT NULL,
	FENTRYQTYTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FBOMENTRYID BIGINT DEFAULT 0 NOT NULL,
	FOLDBOMENTRYID BIGINT DEFAULT 0 NOT NULL,
	FAUXPROPERTIES BIGINT DEFAULT 0 NOT NULL,
	FBOMVERSIONID BIGINT DEFAULT 0 NOT NULL,
	FENTRYGROUPNOS NVARCHAR(80) DEFAULT ' ' NOT NULL
);



--影响订单结果表--变更后数据 建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_EFFECTORDERAFTER') 
CREATE TABLE T_PDM_EFFECTORDERAFTER (
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FDETAILID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FAFTERORDERBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
	FAFTERORDERID BIGINT DEFAULT 0 NOT NULL,
	FAFTERORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
	FAFTERSTOCKID BIGINT DEFAULT 0 NOT NULL,
	FAFTERSTOCKENTRYID BIGINT DEFAULT 0 NOT NULL,
	FAFTERMATERIALID BIGINT DEFAULT 0 NOT NULL,
	FAFTERMATERIAL BIGINT DEFAULT 0 NOT NULL,
	FAFTERUNIT BIGINT DEFAULT 0 NOT NULL,
	FAFTERWORKCENTERID BIGINT DEFAULT 0 NOT NULL,
	FAFTERWORKSTATIONID BIGINT DEFAULT 0 NOT NULL,
	FAFTERCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
	FAFTERAUXPROPERTIES BIGINT DEFAULT 0 NOT NULL,
	FAFTERBOMVERSIONID BIGINT DEFAULT 0 NOT NULL,
	FAFTERBOMENTRYID BIGINT DEFAULT 0 NOT NULL,
	FAFTERSTOCKSEQ BIGINT DEFAULT 0 NOT NULL,
	FAFTERSTOCKNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
	FAFTERTRANSACTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
	FAFTERPARENTMATERIALID BIGINT DEFAULT 0 NOT NULL,
	FAFTERQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FAFTERQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FAFTERDEMANDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FAFTERORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FAFTERFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FAFTERSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FCHANGETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FUPDATERESULT NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FUPDATETIME DATETIME,
	FERRORREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FUPDATETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FNEXTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
	FNEXTBILLID BIGINT DEFAULT 0 NOT NULL,
	FNEXTBILLENTITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FPARENTSTOCKENTRYID BIGINT DEFAULT 0 NOT NULL,
	FCHANGEREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FSAMEBATCHID BIGINT DEFAULT 0 NOT NULL,
	FAFTERQTYTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FAFTERISJUMPLEVEL CHAR(1) DEFAULT '0' NOT NULL,
	FAFTERCHILDBOMID BIGINT DEFAULT 0 NOT NULL
);



--影响订单结果表--变更前数据 建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_EFFECTORDERBEFORE') 
CREATE TABLE T_PDM_EFFECTORDERBEFORE (
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FDETAILID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FBEFOREORDERBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
	FBEFORESTOCKENTRYID BIGINT DEFAULT 0 NOT NULL,
	FBEFORESTOCKID BIGINT DEFAULT 0 NOT NULL,
	FBEFOREMATERIALID BIGINT DEFAULT 0 NOT NULL,
	FBEFOREMATERIAL BIGINT DEFAULT 0 NOT NULL,
	FBEFOREUNIT BIGINT DEFAULT 0 NOT NULL,
	FBEFOREQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FBEFOREQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FBEFOREDEMANDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FBEFOREORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FBEFOREFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FBEFORESCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL, 
	FBEFOREBOMENTRYID BIGINT DEFAULT 0 NOT NULL,
	FBEFOREBOMVERSIONID BIGINT DEFAULT 0 NOT NULL,
	FBEFORECONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
	FBEFOREWORKCENTERID BIGINT DEFAULT 0 NOT NULL,
	FBEFOREWORKSTATIONID BIGINT DEFAULT 0 NOT NULL,
	FBEFOREPARENTMATERIAL BIGINT DEFAULT 0 NOT NULL,
	FBEFOREJUMPLEVEL CHAR(1) DEFAULT '0' NOT NULL,
	FBEFORESTOCKNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
	FBEFORESTOCKSEQ BIGINT DEFAULT 0 NOT NULL,
	FBEFOREDEMANDDATE DATETIME
);






