﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_MESSAGEENTRY') 
 CREATE TABLE T_PHM_MESSAGEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMESSAGESHOW NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCONDITIONSHOW NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FMESSAGEBODY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMESSAGEBODY_TAG NCLOB,
FSUCCESS CHAR(1) DEFAULT '0' NOT NULL,
FCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONDITION_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_OPTEXTENTRY') 
 CREATE TABLE T_PHM_OPTEXTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEIGENVALUE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_PARAMENTRY') 
 CREATE TABLE T_PHM_PARAMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPARAMTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMSOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_SEAT_CONFIG') 
 CREATE TABLE T_PHM_SEAT_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FVEIDOOSCENEID BIGINT DEFAULT 0 NOT NULL,
FSEATCOMBO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRADIOGROUP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZOBJECTID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FOPERATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FURL NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_SEATENTRY' AND KSQL_COL_NAME ='FSEATCONFIGID') 
 ALTER TABLE T_PHM_SEATENTRY ADD (FSEATCONFIGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_RELATIONENTRY') 
 CREATE TABLE T_PHM_RELATIONENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDETAILFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
