﻿/**Begin D:\PDM_UPGRADE\pdm1\PHM_table.sql **/
 EXEC p_AlterColumn 'T_PHM_BM_EIGEN', 'FBIZMODELID', 'BIGINT', 'NOT NULL', '1111', '0';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_FLOWDEFINE') 
 CREATE TABLE T_PHM_FLOWDEFINE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSIONRULEID BIGINT DEFAULT 0 NOT NULL,
FGLOBALRULE CHAR(1) DEFAULT '0' NOT NULL,
FINDUSTRYID BIGINT DEFAULT 0 NOT NULL,
FFLOWLEADERID BIGINT DEFAULT 0 NOT NULL,
FVALIDATEDTIME DATETIME,
FPLAN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREPEATMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCYCLENUM BIGINT DEFAULT 0 NOT NULL,
FBYDAYORWEEK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUN CHAR(1) DEFAULT '0' NOT NULL,
FMON CHAR(1) DEFAULT '0' NOT NULL,
FTUES CHAR(1) DEFAULT '0' NOT NULL,
FWED CHAR(1) DEFAULT '0' NOT NULL,
FTHUR CHAR(1) DEFAULT '0' NOT NULL,
FFRI CHAR(1) DEFAULT '0' NOT NULL,
FSAT CHAR(1) DEFAULT '0' NOT NULL,
FBYWEEK CHAR(1) DEFAULT '0' NOT NULL,
FNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNOWEEK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFLOWCONF NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFLOWCONF_TAG NCLOB,
FFLOWSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_FLOWDEFINE_A') 
 CREATE TABLE T_PHM_FLOWDEFINE_A (
FTHIRTYONE CHAR(1) DEFAULT '0' NOT NULL,
FTHIRTY CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYNINE CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYEIGHT CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYSEVEN CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYSIX CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYFIVE CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYFOUR CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYTHREE CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYTWO CHAR(1) DEFAULT '0' NOT NULL,
FTWENTYONE CHAR(1) DEFAULT '0' NOT NULL,
FTWENTY CHAR(1) DEFAULT '0' NOT NULL,
FNINETEEN CHAR(1) DEFAULT '0' NOT NULL,
FEIGHTEEN CHAR(1) DEFAULT '0' NOT NULL,
FSEVENTEEN CHAR(1) DEFAULT '0' NOT NULL,
FSIXTEEN CHAR(1) DEFAULT '0' NOT NULL,
FFIFTEEN CHAR(1) DEFAULT '0' NOT NULL,
FFOURTEEN CHAR(1) DEFAULT '0' NOT NULL,
FTHIRTEEN CHAR(1) DEFAULT '0' NOT NULL,
FTWELVE CHAR(1) DEFAULT '0' NOT NULL,
FELEVEN CHAR(1) DEFAULT '0' NOT NULL,
FTEN CHAR(1) DEFAULT '0' NOT NULL,
FNINE CHAR(1) DEFAULT '0' NOT NULL,
FEIGHT CHAR(1) DEFAULT '0' NOT NULL,
FSEVEN CHAR(1) DEFAULT '0' NOT NULL,
FSIX CHAR(1) DEFAULT '0' NOT NULL,
FFIVE CHAR(1) DEFAULT '0' NOT NULL,
FFOUR CHAR(1) DEFAULT '0' NOT NULL,
FTHREE CHAR(1) DEFAULT '0' NOT NULL,
FTWO CHAR(1) DEFAULT '0' NOT NULL,
FONE CHAR(1) DEFAULT '0' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FJAN CHAR(1) DEFAULT '0' NOT NULL,
FFEB CHAR(1) DEFAULT '0' NOT NULL,
FMAR CHAR(1) DEFAULT '0' NOT NULL,
FAPR CHAR(1) DEFAULT '0' NOT NULL,
FMAY CHAR(1) DEFAULT '0' NOT NULL,
FJUN CHAR(1) DEFAULT '0' NOT NULL,
FJUL CHAR(1) DEFAULT '0' NOT NULL,
FAUG CHAR(1) DEFAULT '0' NOT NULL,
FSEP CHAR(1) DEFAULT '0' NOT NULL,
FDEC CHAR(1) DEFAULT '0' NOT NULL,
FNOV CHAR(1) DEFAULT '0' NOT NULL,
FOCT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_FLOWDEFINE_L') 
 CREATE TABLE T_PHM_FLOWDEFINE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_FLOWNODE') 
 CREATE TABLE T_PHM_FLOWNODE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNODENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNODECYCLE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FNODEID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_FLOWRESOURCE') 
 CREATE TABLE T_PHM_FLOWRESOURCE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESOURCETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FCONTROL CHAR(1) DEFAULT '0' NOT NULL,
FCONTROLCONF NVARCHAR(500) DEFAULT ' ' NOT NULL,
FFORMULA NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_RESOURECROLE') 
 CREATE TABLE T_PHM_RESOURECROLE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_SUBFLOW') 
 CREATE TABLE T_PHM_SUBFLOW (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFLOWDEFINEID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\pdm1\PHM_table.sql **/
