/*==============================================================*/
/* Table:  T_PMPD_PROJECTSPEC   项目说明书    创建人: IERP   创建时间: 20220425*/
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECTSPEC') 
CREATE TABLE T_PMPD_PROJECTSPEC
(
  FID BIGINT DEFAULT 0 NOT NULL,
  FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
  FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
  FCREATORID BIGINT DEFAULT 0 NOT NULL,
  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
  FAUDITORID BIGINT DEFAULT 0 NOT NULL,
  FAUDITDATE DATETIME ,
  FMODIFYTIME DATETIME ,
  FCREATETIME DATETIME ,
  FORGID BIGINT DEFAULT 0 NOT NULL,
  FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
  FCUSTOMER BIGINT DEFAULT 0 NOT NULL,
  FCONTRACT BIGINT DEFAULT 0 NOT NULL,
  FEQUIPMENT BIGINT DEFAULT 0 NOT NULL,
  FWORKCENTER BIGINT DEFAULT 0 NOT NULL,
  FWORKSCOPE BIGINT DEFAULT 0 NOT NULL,
  FCHECKTYPE BIGINT DEFAULT 0 NOT NULL,
  FEXPSTARTDATE DATETIME ,
  FEXPFINSHDATE DATETIME ,
  FESTPERIOD INT DEFAULT 0 NOT NULL,
  FPLANROOM BIGINT DEFAULT 0 NOT NULL,
  FOVERHEADJOBNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
  FPERSONLIABLE BIGINT DEFAULT 0 NOT NULL,
  FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
  FRICHTEXTEDITORAP_DATA NVARCHAR(255) DEFAULT ' ' NOT NULL,
  FRICHTEXTEDITORAP_DATA_TAG NCLOB DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECTSPECPRO') 
CREATE TABLE T_PMPD_PROJECTSPECPRO
(
  FPKID BIGINT DEFAULT 0 NOT NULL,
  FID BIGINT DEFAULT 0 NOT NULL,
  FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECTSPECCT') 
CREATE TABLE T_PMPD_PROJECTSPECCT
(
  FID BIGINT DEFAULT 0 NOT NULL,
  FENTRYID BIGINT DEFAULT 0 NOT NULL,
  FSEQ INT DEFAULT 0 NOT NULL,
  FBASEDATAFIELD BIGINT DEFAULT 0 NOT NULL,
  FCTCONTRACTCLAUSE NVARCHAR(50) DEFAULT ' ' NOT NULL,
  FCTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);

/*==============================================================*/
/* Table:  T_PMPD_PROJECTSPECWO   项目编码多选基础资料表_工作包单据体    创建人: IERP   创建时间: 20220425*/
/*==============================================================*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECTSPECWO') 
CREATE TABLE T_PMPD_PROJECTSPECWO
(
  FID BIGINT DEFAULT 0 NOT NULL,
  FENTRYID BIGINT DEFAULT 0 NOT NULL,
  FSEQ INT DEFAULT 0 NOT NULL,
  FAIRRINPUT NVARCHAR(50) DEFAULT ' ' NOT NULL,
  FWORKPACKAGE BIGINT DEFAULT 0 NOT NULL,
  FFUNCTIONAREA BIGINT DEFAULT 0 NOT NULL,
  FWORKSUMMARY NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECTSPECJC') 
CREATE TABLE T_PMPD_PROJECTSPECJC
(
  FID BIGINT DEFAULT 0 NOT NULL,
  FENTRYID BIGINT DEFAULT 0 NOT NULL,
  FSEQ INT DEFAULT 0 NOT NULL,
  FJOBCARD BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECTSPECMA') 
CREATE TABLE T_PMPD_PROJECTSPECMA
(
  FID BIGINT DEFAULT 0 NOT NULL,
  FENTRYID BIGINT DEFAULT 0 NOT NULL,
  FSEQ INT DEFAULT 0 NOT NULL,
  FJOBCARDMA BIGINT DEFAULT 0 NOT NULL,
  FQUANTITYDEMAND CHAR(1) DEFAULT '0' NOT NULL,
  FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
  FUNITFIELD BIGINT DEFAULT 0 NOT NULL,
  FMADESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECTSPECTO') 
CREATE TABLE T_PMPD_PROJECTSPECTO
(
  FID BIGINT DEFAULT 0 NOT NULL,
  FENTRYID BIGINT DEFAULT 0 NOT NULL,
  FSEQ INT DEFAULT 0 NOT NULL,
  FJOBCARDTO BIGINT DEFAULT 0 NOT NULL,
  FTOQUANTITYDEMAND CHAR(1) DEFAULT '0' NOT NULL,
  FTOUNITFIELD BIGINT DEFAULT 0 NOT NULL,
  FTOQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
  FTODESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);