﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_HOUR_ESTIMATE') 
CREATE TABLE T_PMPD_HOUR_ESTIMATE (
	FID                         BIGINT                DEFAULT 0 NOT NULL,            
    FBILLNO                     NVARCHAR(30)          DEFAULT ' ' NOT NULL,      
    FRESOURCEPLAN               NVARCHAR(80)          DEFAULT ' ' NOT NULL,      
    FEFFECTIVESTATUS            NVARCHAR(50)          DEFAULT ' ' NOT NULL,    
    FBILLSTATUS                 NVARCHAR(50)          DEFAULT ' ' NOT NULL,    
    FCREATORID                  BIGINT                DEFAULT 0 NOT NULL,           
    FMODIFIERID                 BIGINT                DEFAULT 0 NOT NULL,            
    FAUDITORID                  BIGINT                DEFAULT 0 NOT NULL,             
    FCREATETIME                 DATETIME,                             
    FMODIFYTIME                 DATETIME,                          
    FAUDITDATE                  DATETIME,                            
    FORGID                      BIGINT                DEFAULT 0 NOT NULL,             
    FCUSTOMERID                 BIGINT                DEFAULT 0 NOT NULL,            
    FCHECKLEVELID               BIGINT                DEFAULT 0 NOT NULL,             
    FCHECKTYPEID                BIGINT                DEFAULT 0 NOT NULL,             
    FTRT                        DECIMAL(23,10)        DEFAULT 0 NOT NULL,    
    FESTIMATEWORKHOURID         BIGINT                DEFAULT 0 NOT NULL,             
    FSTAGEWORKHOURID            BIGINT                DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_HOUR_ESTIENTRY') 
CREATE TABLE T_PMPD_HOUR_ESTIENTRY (
    FENTRYID                    BIGINT                DEFAULT 0 NOT NULL,             
    FID                         BIGINT                DEFAULT 0 NOT NULL,              
	FSEQ                        INT                   DEFAULT 0 NOT NULL,                 
    FINDUSTRYID                 BIGINT                DEFAULT 0 NOT NULL,              
    FROUTINESTATISTICALHOUR     DECIMAL(23,10)        DEFAULT 0 NOT NULL,     
    FNOROUTINESTATISTICALHOUR   DECIMAL(23,10)        DEFAULT 0 NOT NULL,      
    FROUTINEWORKHOUR            DECIMAL(23,10)        DEFAULT 0 NOT NULL,     
    FNONROUTINEWORKHOUR         DECIMAL(23,10)        DEFAULT 0 NOT NULL,      
    FTOTALHOURS                 DECIMAL(23,10)        DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_HOUR_ESTISUMMARY') 
CREATE TABLE T_PMPD_HOUR_ESTISUMMARY (
    FENTRYID                    BIGINT               DEFAULT 0 NOT NULL,              
    FID                         BIGINT               DEFAULT 0 NOT NULL,              
	FSEQ                        INT                  DEFAULT 0 NOT NULL,                 
    FDATE                       DATETIME,                               
    FWORKHOUR                   DECIMAL(23,10)       DEFAULT 0 NOT NULL,      
    FEARLYWORKHOUR              DECIMAL(23,10)       DEFAULT 0 NOT NULL,      
    FMIDWORKHOUR                DECIMAL(23,10)       DEFAULT 0 NOT NULL,      
    FLATEWORKHOUR               DECIMAL(23,10)       DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_HOUR_ESTISTAGE') 
CREATE TABLE T_PMPD_HOUR_ESTISTAGE (
    FDETAILID                   BIGINT               DEFAULT 0 NOT NULL,             
    FENTRYID                    BIGINT               DEFAULT 0 NOT NULL,              
	FSEQ                        INT                  DEFAULT 0 NOT NULL,                 
    FINDUSTRYID                 BIGINT               DEFAULT 0 NOT NULL,              
    FSTAGE                      INT                  DEFAULT 0 NOT NULL,                 
    FPERCENTAGE                 DECIMAL(23,10)       DEFAULT 0 NOT NULL,      
    FROUTINEWORKHOUR            DECIMAL(23,10)       DEFAULT 0 NOT NULL,     
    FNONROUTINEWORKHOUR         DECIMAL(23,10)       DEFAULT 0 NOT NULL,      
    FTOTALHOURS                 DECIMAL(23,10)       DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_HOUR_ESTIDAILY') 
CREATE TABLE T_PMPD_HOUR_ESTIDAILY (
    FDETAILID                   BIGINT               DEFAULT 0 NOT NULL,            
    FENTRYID                    BIGINT               DEFAULT 0 NOT NULL,             
	FSEQ                        INT                  DEFAULT 0 NOT NULL,                 
    FINDUSTRYID                 BIGINT               DEFAULT 0 NOT NULL,              
    FDATE                       DATETIME,                              
    FWORKHOUR                   DECIMAL(23,10)       DEFAULT 0 NOT NULL,     
    FEARLYWORKHOUR              DECIMAL(23,10)       DEFAULT 0 NOT NULL,     
    FMIDWORKHOUR                DECIMAL(23,10)       DEFAULT 0 NOT NULL,     
    FLATEWORKHOUR               DECIMAL(23,10)       DEFAULT 0 NOT NULL
);

