IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PLANROOMUSE')
 CREATE TABLE T_PMPD_PLANROOMUSE (
	FID                BIGINT          DEFAULT 0       NOT NULL,       
	FBILLNO            NVARCHAR(30)    DEFAULT ' '     NOT NULL,        
	FBILLSTATUS        NVARCHAR(50)    DEFAULT ' '     NOT NULL,       
	FCREATORID         BIGINT          DEFAULT 0       NOT NULL,       
	FMODIFIERID        BIGINT          DEFAULT 0       NOT NULL,       
	FAUDITORID         BIGINT          DEFAULT 0       NOT NULL,      
	FAUDITDATE         DATETIME,       
	FMODIFYTIME        DATETIME,        
	FCREATETIME        DATETIME,       
	FORGID             BIGINT          DEFAULT 0       NOT NULL,      
	FRESPLANID         BIGINT          DEFAULT 0       NOT NULL,       
	FTRESPLANNUM       NVARCHAR(50)    DEFAULT ' '     NOT NULL,       
	FPLANROOMID        BIGINT          DEFAULT 0       NOT NULL,       
	FEQUIPMENTID       BIGINT          DEFAULT 0       NOT NULL,      
	FWORKCENTERID      BIGINT          DEFAULT 0       NOT NULL,       
	FAPPLYUSERID       BIGINT          DEFAULT 0       NOT NULL,      
	FAPPLYTIME         DATETIME,       
	FOCCSTARTTIME      DATETIME,        
	FOCCENDTIME        DATETIME       
);


 EXEC P_ALTERPK 'PK_PMPD_PLANROOMUSE', 'T_PMPD_PLANROOMUSE', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PLANROOMUSE_FBILLNO') CREATE INDEX IDX_PMPD_PLANROOMUSE_FBILLNO ON T_PMPD_PLANROOMUSE ( FBILLNO );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PLANROOMUSE_FOID') CREATE INDEX IDX_PMPD_PLANROOMUSE_FOID ON T_PMPD_PLANROOMUSE ( FORGID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PLANROOMUSE_FCT') CREATE INDEX IDX_PMPD_PLANROOMUSE_FCT ON T_PMPD_PLANROOMUSE ( FCREATETIME );
