﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_APPROACHLISGROUP')
 CREATE TABLE T_PMPD_APPROACHLISGROUP (
	FPKID          BIGINT      DEFAULT 0      NOT NULL,       
	FENTRYID       BIGINT      DEFAULT 0      NOT NULL,      
	FBASEDATAID    BIGINT      DEFAULT 0      NOT NULL       
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_RESPLANLISGROUP')
 CREATE TABLE T_PMPD_RESPLANLISGROUP (
	FPKID          BIGINT       DEFAULT 0       NOT NULL,        
	FID            BIGINT       DEFAULT 0       NOT NULL,        
	FBASEDATAID    BIGINT       DEFAULT 0       NOT NULL    
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROFESSIONARELA')
 CREATE TABLE T_PMPD_PROFESSIONARELA (
	FID                   BIGINT        DEFAULT 0        NOT NULL,      
	FBILLNO               NVARCHAR(30)  DEFAULT ' '      NOT NULL,       
	FBILLSTATUS           NVARCHAR(50)  DEFAULT ' '      NOT NULL,      
	FCREATORID            BIGINT        DEFAULT 0        NOT NULL,    
	FMODIFIERID           BIGINT        DEFAULT 0        NOT NULL,      
	FAUDITORID            BIGINT        DEFAULT 0        NOT NULL,        
	FAUDITDATE            DATETIME,      
	FMODIFYTIME           DATETIME,       
	FCREATETIME           DATETIME,      
	FPROFESSIONALONEID    BIGINT        DEFAULT 0        NOT NULL,     
	FWORKAREAID           BIGINT        DEFAULT 0        NOT NULL,      
	FPROFESSIONALTWOID    BIGINT        DEFAULT 0        NOT NULL      
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_WORKHOURRPT_IND')
 CREATE TABLE T_PMPD_WORKHOURRPT_IND (
	FENTRYID              BIGINT        DEFAULT 0        NOT NULL,        
	FID                   BIGINT        DEFAULT 0        NOT NULL,       
	FSEQ                  INT           DEFAULT 0        NOT NULL,      
	FINDUSTRYID           BIGINT        DEFAULT 0        NOT NULL     
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_WORKHOURRPT_DAY')
 CREATE TABLE T_PMPD_WORKHOURRPT_DAY (
	FDETAILID             BIGINT         DEFAULT 0       NOT NULL,        
	FENTRYID              BIGINT         DEFAULT 0       NOT NULL,       
	FSEQ                  INT            DEFAULT 0       NOT NULL,      
	FINDUSTRYID           BIGINT         DEFAULT 0       NOT NULL,     
	FDATE                 DATETIME,   
	FWORKHOUR             DECIMAL(23,10) DEFAULT 0       NOT NULL    
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_WORKHOURRPT_TDAY')
 CREATE TABLE T_PMPD_WORKHOURRPT_TDAY (
	FENTRYID              BIGINT          DEFAULT 0       NOT NULL,       
	FID                   BIGINT          DEFAULT 0       NOT NULL,       
	FSEQ                  INT             DEFAULT 0       NOT NULL,       
	FDATE                 DATETIME,      
	FWORKHOUR             DECIMAL(23,10)  DEFAULT 0       NOT NULL
);





