IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_CUSTOMER_WKPKGMA')
 CREATE TABLE T_PMPD_CUSTOMER_WKPKGMA (
	FID            BIGINT        DEFAULT 0        NOT NULL,
	FBILLNO        NVARCHAR(30)  DEFAULT ' '      NOT NULL,
	FBILLSTATUS    NVARCHAR(50)  DEFAULT ' '      NOT NULL,
	FCREATORID     BIGINT        DEFAULT 0        NOT NULL,
	FMODIFIERID    BIGINT        DEFAULT 0        NOT NULL,
	FAUDITORID     BIGINT        DEFAULT 0        NOT NULL,
	FAUDITDATE     DATETIME,
	FMODIFYTIME    DATETIME,
	FCREATETIME    DATETIME,
	FORGID         BIGINT        DEFAULT 0        NOT NULL,
	FCUSTOMER      BIGINT        DEFAULT 0        NOT NULL,
	FYEAR          DATETIME,
	FDESC          NVARCHAR(255) DEFAULT ' '      NOT NULL,
	FDESC_TAG      NCLOB
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_CUSTOMER_WKPKGDE')
 CREATE TABLE T_PMPD_CUSTOMER_WKPKGDE (
	FID                  BIGINT          DEFAULT 0       NOT NULL,
	FBILLNO              NVARCHAR(30)    DEFAULT ' '     NOT NULL,
	FBILLSTATUS          NVARCHAR(50)    DEFAULT ' '     NOT NULL,
	FCREATORID           BIGINT          DEFAULT 0       NOT NULL,
	FMODIFIERID          BIGINT          DEFAULT 0       NOT NULL,
	FAUDITORID           BIGINT          DEFAULT 0       NOT NULL,
	FAUDITDATE           DATETIME,
	FMODIFYTIME          DATETIME,
	FCREATETIME          DATETIME,
	FMAINTENEQUIPMODEL   BIGINT          DEFAULT 0       NOT NULL,
	FMATERIALMTCINFO     BIGINT          DEFAULT 0       NOT NULL,
	FINSPECTION          NVARCHAR(50)    DEFAULT ' '     NOT NULL,
	FWORKCONTENT         NVARCHAR(50)    DEFAULT ' '     NOT NULL,
	FESTIMATESTARTDATE   DATETIME,
	FWORKPKGNAME         NVARCHAR(50)    DEFAULT ' '     NOT NULL,
	FGETWORKPKGDATE      DATETIME,
	FDESC                NVARCHAR(255)   DEFAULT ' '     NOT NULL,
	FWORKPKGTYPE         NVARCHAR(50)    DEFAULT ' '     NOT NULL,
	FWKPKGMAID           BIGINT          DEFAULT 0       NOT NULL
);


