﻿/**Begin D:\PDM_UPGRADE\PDM1\PMTS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_DELIVERATTACH') 
 CREATE TABLE T_PMPD_DELIVERATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_DELIVERIES_L') 
 CREATE TABLE T_PMPD_DELIVERIES_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIBER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_DELIVERSEN') 
 CREATE TABLE T_PMPD_DELIVERSEN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDELIVERYTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDELIVERYDATE DATETIME,
FDELIVERIERID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYORGID BIGINT DEFAULT 0 NOT NULL,
FRECEIVERORGID BIGINT DEFAULT 0 NOT NULL,
FPHONE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCENO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFINISHMARK NVARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_DELIVERSEN_L') 
 CREATE TABLE T_PMPD_DELIVERSEN_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFILECONTENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYDESCRIBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVERID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_TASKSCHEME') 
 CREATE TABLE T_PMTS_TASKSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FCHECKBOXFIELD CHAR(1) DEFAULT '0' NOT NULL,
FISIGNORE CHAR(1) DEFAULT '0' NOT NULL,
FISCRITICALPATH CHAR(1) DEFAULT '0' NOT NULL,
FISEXPECT CHAR(1) DEFAULT '0' NOT NULL,
FISUPDATETIME CHAR(1) DEFAULT '0' NOT NULL,
FLOGICGROUP NVARCHAR(5) DEFAULT ' ' NOT NULL,
FCALENDARGROUP NVARCHAR(5) DEFAULT ' ' NOT NULL,
FRADIOFIELD3 CHAR(1) DEFAULT '0' NOT NULL,
FRADIOFIELD11 CHAR(1) DEFAULT '0' NOT NULL,
FRADIOFIELD21 CHAR(1) DEFAULT '0' NOT NULL,
FCRUCIALGROUP NVARCHAR(5) DEFAULT ' ' NOT NULL,
FRADIOFIELD4 CHAR(1) DEFAULT '0' NOT NULL,
FRADIOFIELD22 CHAR(1) DEFAULT '0' NOT NULL,
FCALTYPEGROUP NVARCHAR(5) DEFAULT ' ' NOT NULL,
FRADIOFIELD5 CHAR(1) DEFAULT '0' NOT NULL,
FRADIOFIELD13 CHAR(1) DEFAULT '0' NOT NULL,
FRADIOFIELD23 CHAR(1) DEFAULT '0' NOT NULL,
FCROSSGROUP NVARCHAR(5) DEFAULT ' ' NOT NULL,
FRADIOFIELD6 CHAR(1) DEFAULT '0' NOT NULL,
FRADIOFIELD14 CHAR(1) DEFAULT '0' NOT NULL,
FRADIOFIELD_24HOUR1 CHAR(1) DEFAULT '0' NOT NULL,
FFLOATTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_TASKSCHEME_L') 
 CREATE TABLE T_PMTS_TASKSCHEME_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_TASKSCDETAIL') 
 CREATE TABLE T_PMTS_TASKSCDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCALCLOGID BIGINT DEFAULT 0 NOT NULL,
FTASKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_TASKSCDETAIL_L') 
 CREATE TABLE T_PMTS_TASKSCDETAIL_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_TASKSCDETAIL_STA') 
 CREATE TABLE T_PMTS_TASKSCDETAIL_STA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTATICS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQTY INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_TASKSCDETAIL_STE') 
 CREATE TABLE T_PMTS_TASKSCDETAIL_STE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTEP NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_TASKSCRESULT') 
 CREATE TABLE T_PMTS_TASKSCRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL
);




IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_BILLRISKSOURCE') 
 CREATE TABLE T_PMRP_BILLRISKSOURCE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRISKGRADE BIGINT DEFAULT 0 NOT NULL,
FRISKVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESPONSIBLEDEP BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRISKDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRISKDESC_TAG NCLOB DEFAULT '',
FRISKTEMPLATE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_MYQUESTION') 
 CREATE TABLE T_PMRP_MYQUESTION (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPROJECT BIGINT DEFAULT 0 NOT NULL,
FISSUETYPE BIGINT DEFAULT 0 NOT NULL,
FPRIORITY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FHANDLER BIGINT DEFAULT 0 NOT NULL,
FISSUESTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FLARGETEXTFIELD_TAG NCLOB DEFAULT '',
FLARGETEXTFIELD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWBS BIGINT DEFAULT 0 NOT NULL,
FPMTSTASK BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_MYQUESTION_PR') 
 CREATE TABLE T_PMRP_MYQUESTION_PR (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FMYQUESTION BIGINT DEFAULT 0 NOT NULL,
FSTATUSTAGGROUP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHANDLER BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESC_TAG NCLOB DEFAULT '',
FACTIVE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKCONDITION') 
 CREATE TABLE T_PMRP_RISKCONDITION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKCONDITION_L') 
 CREATE TABLE T_PMRP_RISKCONDITION_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKGRADE') 
 CREATE TABLE T_PMRP_RISKGRADE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FGRADE INT DEFAULT 0 NOT NULL,
FRISKGRADECOLORVAL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRISKGRADECOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKGRADE_L') 
 CREATE TABLE T_PMRP_RISKGRADE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKPARASET') 
 CREATE TABLE T_PMRP_RISKPARASET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FPROJECTKIND BIGINT DEFAULT 0 NOT NULL,
FCROSSPARA NVARCHAR(5) DEFAULT ' ' NOT NULL,
FVERTICALAXISPARA NVARCHAR(5) DEFAULT ' ' NOT NULL,
FCROSSAVERAGE INT DEFAULT 0 NOT NULL,
FVERTICALAXISAVERAGE INT DEFAULT 0 NOT NULL,
FCROSSSCOPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVERTICALAXISSCOPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUDITOR BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDEFAULTSCHEME NVARCHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKPARASET_DE') 
 CREATE TABLE T_PMRP_RISKPARASET_DE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDEGREELEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEGREEEXPLAIN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEGREESCOPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEGREESCALE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEGREEVAL INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKPARASET_GR') 
 CREATE TABLE T_PMRP_RISKPARASET_GR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRISKGRADE BIGINT DEFAULT 0 NOT NULL,
FRISKGRADEEXPLAIN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRISKGRADESCOPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRISKGRADECOLORVAL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRISKGRADECOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRISKSHOWCOLORVAL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRISKSHOWCOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKPARASET_L') 
 CREATE TABLE T_PMRP_RISKPARASET_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKPARASET_PR') 
 CREATE TABLE T_PMRP_RISKPARASET_PR (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROBABILITYLEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROBABILITYEXPLAIN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROBABILITYSCOPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROBABILITYSCALE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROBABILITYVAL INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKREGISTER') 
 CREATE TABLE T_PMRP_RISKREGISTER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECT BIGINT DEFAULT 0 NOT NULL,
FWBS BIGINT DEFAULT 0 NOT NULL,
FPMTSTASK BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRISKDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRISKDESCRIPTION_TAG NCLOB DEFAULT ' ',
FPASTEVENTS NVARCHAR(255) DEFAULT ' ',
FPASTEVENTS_TAG NCLOB DEFAULT ' ',
FIDENTIFICATIONDATE DATETIME,
FRISKTYPE BIGINT DEFAULT 0 NOT NULL,
FRISKSOURCE BIGINT DEFAULT 0 NOT NULL,
FRISKREASONS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRISKGRADE BIGINT DEFAULT 0 NOT NULL,
FRISKPRIORITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FIMPACTTARGET NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEVALUATIONDATE DATETIME,
FEODATESTART DATETIME,
FEODATEEND DATETIME,
FRISKCONDITION BIGINT DEFAULT 0 NOT NULL,
FREGISTRANT BIGINT DEFAULT 0 NOT NULL,
FRISKSTRATEGY BIGINT DEFAULT 0 NOT NULL,
FRISKRELATED NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESPONSIBLEDEP BIGINT DEFAULT 0 NOT NULL,
FRISKDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FRISKBUDGET DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRISKIMPACTDEGREE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRISKPROBABILITY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRISKPERSONLIABLE BIGINT DEFAULT 0 NOT NULL,
FRISKVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRISKPARASET BIGINT DEFAULT 0 NOT NULL,
FOPS BIGINT DEFAULT 0 NOT NULL,
FRISKSTATUS BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKREGISTER_CPDEP') 
 CREATE TABLE T_PMRP_RISKREGISTER_CPDEP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKREGISTER_WBS') 
 CREATE TABLE T_PMRP_RISKREGISTER_WBS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKSCOPEDE') 
 CREATE TABLE T_PMRP_RISKSCOPEDE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FRISKPARASET BIGINT DEFAULT 0 NOT NULL,
FRISKMATRIXDIAGRAMDATA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRISKMATRIXDIAGRAMDATA_TAG NCLOB DEFAULT '',
FAUDITOR BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKSCOPEDE_L') 
 CREATE TABLE T_PMRP_RISKSCOPEDE_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKSCOPEDE_SET') 
 CREATE TABLE T_PMRP_RISKSCOPEDE_SET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRISKGRADE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRISKGRADEEXPLAIN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRISKGRADECOLORVAL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRISKGRADECOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKSOURCE') 
 CREATE TABLE T_PMRP_RISKSOURCE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKSOURCE_L') 
 CREATE TABLE T_PMRP_RISKSOURCE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKSTATUS') 
 CREATE TABLE T_PMRP_RISKSTATUS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FORDER INT DEFAULT 0 NOT NULL,
FISSET CHAR(1) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKSTATUS_L') 
 CREATE TABLE T_PMRP_RISKSTATUS_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKSTRATEGY') 
 CREATE TABLE T_PMRP_RISKSTRATEGY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKSTRATEGY_L') 
 CREATE TABLE T_PMRP_RISKSTRATEGY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKTEMPLATE') 
 CREATE TABLE T_PMRP_RISKTEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FPROJECTTYPE BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMRP_RISKTEMPLATE_L') 
 CREATE TABLE T_PMRP_RISKTEMPLATE_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBD_ISSUETYPE') 
 CREATE TABLE T_PMBD_ISSUETYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(5) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(5) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(5) DEFAULT ' ' NOT NULL,
FUSERFIELD BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBD_ISSUETYPE_L') 
 CREATE TABLE T_PMBD_ISSUETYPE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBD_RISKTYPE') 
 CREATE TABLE T_PMBD_RISKTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSERORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(5) DEFAULT ' ' NOT NULL,
FUSERFIELD BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMBD_RISKTYPE_L') 
 CREATE TABLE T_PMBD_RISKTYPE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_ATTACHMENT_REPORT') 
 CREATE TABLE T_PMTS_ATTACHMENT_REPORT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_DELIVERYENTRY') 
 CREATE TABLE T_PMTS_DELIVERYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDELIVERYTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FFILENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTENT NVARCHAR(225) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVERYDATE DATETIME,
FDELIVERYUSERID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYORGID BIGINT DEFAULT 0 NOT NULL,
FTELEPHONE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRECEIVEDINFO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFINISHFLAG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRONAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRONUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARKENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVEDORG NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_TASKOFMINEENTRY') 
 CREATE TABLE T_PMTS_TASKOFMINEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDOCNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDOCNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDOCTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FDOCACTUALTIME DATETIME,
FUPLOADPERSON BIGINT DEFAULT 0 NOT NULL,
FUPLOADDATE DATETIME,
FACTUALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_TASKREPORTBILL') 
 CREATE TABLE T_PMTS_TASKREPORTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FREPORTTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FWBSID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FREPORTTIME DATETIME,
FACTUALSTARTDATE DATETIME,
FACTUALENDDATE DATETIME,
FACTUALCONTEXT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACTUALPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODUNIT NVARCHAR(5) DEFAULT ' ' NOT NULL,
FACTUALPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEEDPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANPERIOD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPERIODPRECENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHOURUNIT NVARCHAR(5) DEFAULT ' ' NOT NULL,
FACTUALHOUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEEDHOUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALHOUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANHOUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHOURPRECENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHOPEENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_WBSDELIVERY') 
 CREATE TABLE T_PMTS_WBSDELIVERY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FWBSID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(225) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_EXAMPLEFILE') 
 CREATE TABLE T_PMTS_EXAMPLEFILE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_FINISHEDFILE') 
 CREATE TABLE T_PMTS_FINISHEDFILE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_REGDOCENTRY') 
 CREATE TABLE T_PMTS_REGDOCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDOCNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FPRESTARTTIME DATETIME,
FPREENDTIME DATETIME,
FLASTSTARTTIME DATETIME,
FLASTENDTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_REGDOCENTRY_L') 
 CREATE TABLE T_PMTS_REGDOCENTRY_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTENTDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPREPREPORT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIBER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_REGDOCLIST') 
 CREATE TABLE T_PMTS_REGDOCLIST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FWBSID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FPERSONALID BIGINT DEFAULT 0 NOT NULL,
FRESPONSEDEPTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_REGDOCLIST_L') 
 CREATE TABLE T_PMTS_REGDOCLIST_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMULILANGTEXTFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_DEMAND_LIST') 
 CREATE TABLE T_PMTS_DEMAND_LIST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FWBSID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FAPPLYDEPID BIGINT DEFAULT 0 NOT NULL,
FAPPLYMANID BIGINT DEFAULT 0 NOT NULL,
FAPPLYDATE DATETIME,
FREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPUSH CHAR(1) DEFAULT '0' NOT NULL,
FSTARTTRACKNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDTRACKNO NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_DMATERIEL') 
 CREATE TABLE T_PMTS_DMATERIEL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTYID DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBOMID BIGINT DEFAULT 0 NOT NULL,
FDEMANDREASON NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEMANDDATE DATETIME,
FPUSHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROPOSALAPPLYER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_PMATERIEL') 
 CREATE TABLE T_PMTS_PMATERIEL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALNO BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTYID DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANSTARTTIME DATETIME,
FPLANENDTIME DATETIME,
FPREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_PRODUCTION_LIST') 
 CREATE TABLE T_PMTS_PRODUCTION_LIST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FWSBID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FPROAFFAIRTYPEID BIGINT DEFAULT 0 NOT NULL,
FAPPLYDEPID BIGINT DEFAULT 0 NOT NULL,
FAPPLYMANID BIGINT DEFAULT 0 NOT NULL,
FTEXTFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTEXTFIELD1 NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTEXTFIELD2 NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISPUSH CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_PROJPURCHES') 
 CREATE TABLE T_PMTS_PROJPURCHES (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FWBSID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FAPPLYDEPTID BIGINT DEFAULT 0 NOT NULL,
FAPPLIERID BIGINT DEFAULT 0 NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENDNO NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_PROJPURCHES_L') 
 CREATE TABLE T_PMTS_PROJPURCHES_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIBE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_PURDETAIL') 
 CREATE TABLE T_PMTS_PURDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTYID DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONFIGSTAND NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONFIGSTAND_TAG NCLOB,
FTECHPARAMS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTECHPARAMS_TAG NCLOB,
FWAREHOUSEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURCHASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNPURCHASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNWAREHOUSEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEMANDDATE DATETIME,
FPUSHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTYID DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_PURDETAIL_L') 
 CREATE TABLE T_PMTS_PURDETAIL_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYDESCRIBE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_TASKSCHEDULE_ENTRY') 
 CREATE TABLE T_PMTS_TASKSCHEDULE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCALRESULT NVARCHAR(5) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FTASKID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_TASKSCHEDULE_LOG') 
 CREATE TABLE T_PMTS_TASKSCHEDULE_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FPROJECTORGID BIGINT DEFAULT 0 NOT NULL,
FDATATIME DATETIME,
FEXCUTORID BIGINT DEFAULT 0 NOT NULL,
FCALSTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FCALCULATEPRO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FTOTALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_TASKSCHEDULE_LOG_L') 
 CREATE TABLE T_PMTS_TASKSCHEDULE_LOG_L (
FPKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_ATTACHMENT') 
 CREATE TABLE T_PMTS_ATTACHMENT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);








IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_DELIVERIES') 
 CREATE TABLE T_PMPD_DELIVERIES (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FISSYOTOTASK CHAR(1) DEFAULT '0' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL
);





/**End D:\PDM_UPGRADE\PDM1\PMTS_table.sql **/
