EXEC P_ALTERPK 'PK_PMTS_EQUIPMENTRELEASE', 'T_PMTS_EQUIPMENTRELEASE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_EQUIPMENTRELEASE_FNO') CREATE INDEX IDX_PMTS_EQUIPMENTRELEASE_FNO ON T_PMTS_EQUIPMENTRELEASE (FBILLNO);
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_EQUIPMENTRELEASE_FOR') CREATE INDEX IDX_PMTS_EQUIPMENTRELEASE_FOR ON T_PMTS_EQUIPMENTRELEASE (FORGID);
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_EQUIPMENTRELEASE_FCT') CREATE INDEX IDX_PMTS_EQUIPMENTRELEASE_FCT ON T_PMTS_EQUIPMENTRELEASE (FCREATETIME);
 
 
EXEC P_ALTERPK 'PK_PMTS_EQURELEASEDETAIL', 'T_PMTS_EQURELEASEDETAIL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_EQURELEASEDETAIL_FEQ') CREATE INDEX IDX_PMTS_EQURELEASEDETAIL_FEQ ON T_PMTS_EQURELEASEDETAIL (FID,FSEQ);
 
 
EXEC P_ALTERPK 'PK_PMTS_PARTRELEASE', 'T_PMTS_PARTRELEASE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PARTRELEASE_FNO') CREATE INDEX IDX_PMTS_PARTRELEASE_FNO ON T_PMTS_PARTRELEASE (FBILLNO);
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PARTRELEASE_FOR') CREATE INDEX IDX_PMTS_PARTRELEASE_FOR ON T_PMTS_PARTRELEASE (FORGID);
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PARTRELEASE_FCT') CREATE INDEX IDX_PMTS_PARTRELEASE_FCT ON T_PMTS_PARTRELEASE (FCREATETIME);
 
 
EXEC P_ALTERPK 'PK_PMTS_PARTRELEASEDTL', 'T_PMTS_PARTRELEASEDTL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PARTRELEASEDTL_FEQ') CREATE INDEX IDX_PMTS_PARTRELEASEDTL_FEQ ON T_PMTS_PARTRELEASEDTL (FID,FSEQ);
 
 
EXEC P_ALTERPK 'PK_PMTS_PROJECTOUTSOUR', 'T_PMTS_PROJECTOUTSOUR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PROJECTOUTSOUR_FNO') CREATE INDEX IDX_PMTS_PROJECTOUTSOUR_FNO ON T_PMTS_PROJECTOUTSOUR (FBILLNO);
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PROJECTOUTSOUR_FOR') CREATE INDEX IDX_PMTS_PROJECTOUTSOUR_FOR ON T_PMTS_PROJECTOUTSOUR (FORGID);
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PROJECTOUTSOUR_FCT') CREATE INDEX IDX_PMTS_PROJECTOUTSOUR_FCT ON T_PMTS_PROJECTOUTSOUR (FCREATETIME);
 
 
EXEC P_ALTERPK 'PK_PMTS_PROOUTSOURDTL', 'T_PMTS_PROOUTSOURDTL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PROOUTSOURDTL_FEQ') CREATE INDEX IDX_PMTS_PROOUTSOURDTL_FEQ ON T_PMTS_PROOUTSOURDTL (FID,FSEQ);

