IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMTS_OPT' AND KSQL_COL_NAME ='FDELAYTYPEID')
 ALTER TABLE T_PMTS_OPT ADD ( FDELAYTYPEID BIGINT DEFAULT 0 NOT NULL );

 
IF NOT EXISTS ( SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_PRODELAYTYPE' )
CREATE TABLE T_PMTS_PRODELAYTYPE(
FID           BIGINT        DEFAULT 0   NOT NULL,
FNUMBER       NVARCHAR(30)  DEFAULT ' ' NOT NULL,
FNAME         NVARCHAR(50)  DEFAULT ' ' NOT NULL,
FSTATUS       NVARCHAR(50)  DEFAULT ' ' NOT NULL,
FCREATORID    BIGINT        DEFAULT 0   NOT NULL,
FMODIFIERID   BIGINT        DEFAULT 0   NOT NULL,
FENABLE       NVARCHAR(50)  DEFAULT ' ' NOT NULL,
FCREATETIME   DATETIME,
FMODIFYTIME   DATETIME,
FMASTERID     BIGINT        DEFAULT 0   NOT NULL,
FCREATEORGID  BIGINT        DEFAULT 0   NOT NULL,
FORGID        BIGINT        DEFAULT 0   NOT NULL,
FCTRLSTRATEGY NVARCHAR(50)  DEFAULT ' ' NOT NULL,
FAUDITORID    BIGINT        DEFAULT 0   NOT NULL,
FAUDITTIME    DATETIME,
FREMARK       NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS ( SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_PRODELAYTYPE_L' )
CREATE TABLE T_PMTS_PRODELAYTYPE_L(
FPKID       NVARCHAR(36)  DEFAULT ' ' NOT NULL,
FID         BIGINT        DEFAULT 0   NOT NULL,
FLOCALEID   NVARCHAR(10)  DEFAULT ' ' NOT NULL,
FNAME       NVARCHAR(50)  DEFAULT ' ' NOT NULL
);