
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DPUB_PERSENTRY')
CREATE TABLE T_SFC_DPUB_PERSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPERID BIGINT DEFAULT 0 NOT NULL,
FISJOIN CHAR(1) DEFAULT '0' NOT NULL,
FJOINTIME DATETIME,
FISNEWJOIN CHAR(1) DEFAULT '0' NOT NULL
);

EXEC P_ALTERPK 'PK_T_SFC_DPUB_PERSENTRY', 'T_SFC_DPUB_PERSENTRY', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SFC_DPUB_PERSENTRY') CREATE INDEX IDX_T_SFC_DPUB_PERSENTRY ON T_SFC_DPUB_PERSENTRY ( FID ,FSEQ );
