﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_constraint.sql **/
 EXEC P_ALTERPK 'PK_SFC_CONTROLRULE', 'T_SFC_CONTROLRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SFC_CONTROLRULE_FNUMBER_IDX') CREATE INDEX T_SFC_CONTROLRULE_FNUMBER_IDX ON T_SFC_CONTROLRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_SFC_CONTROLRULE_L', 'T_SFC_CONTROLRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_CONTROLRULE_L_0') CREATE INDEX IDX_SFC_CONTROLRULE_L_0 ON T_SFC_CONTROLRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SFC_DATASRC', 'T_SFC_DATASRC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SFC_DATASRC_FNUMBER_IDX') CREATE INDEX T_SFC_DATASRC_FNUMBER_IDX ON T_SFC_DATASRC ( FNUMBER );


 EXEC P_ALTERPK 'PK_SFC_DATASRC_L', 'T_SFC_DATASRC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_DATASRC_L_0') CREATE INDEX IDX_SFC_DATASRC_L_0 ON T_SFC_DATASRC_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SFC_STUDYCARD', 'T_SFC_STUDYCARD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_STUDYCARD_FK') CREATE INDEX IDX_SFC_STUDYCARD_FK ON T_SFC_STUDYCARD ( FID );


 EXEC P_ALTERPK 'PK_SFC_STUDYCONTENT', 'T_SFC_STUDYCONTENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SFC_STUDYCON_FNUMBER_IDX') CREATE INDEX T_SFC_STUDYCON_FNUMBER_IDX ON T_SFC_STUDYCONTENT ( FNUMBER );


 EXEC P_ALTERPK 'PK_SFC_STUDYCONTENT_L', 'T_SFC_STUDYCONTENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_STUDYCONTENT_L_0') CREATE INDEX IDX_SFC_STUDYCONTENT_L_0 ON T_SFC_STUDYCONTENT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SFC_STUDYRECORD', 'T_SFC_STUDYRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SFC_STUDYRECORD_FUSER_IDX') CREATE INDEX T_SFC_STUDYRECORD_FUSER_IDX ON T_SFC_STUDYRECORD ( FUSER );


 EXEC P_ALTERPK 'PK_SFC_STUDYRECORD_L', 'T_SFC_STUDYRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_STUDYRECORD_L_0') CREATE INDEX IDX_SFC_STUDYRECORD_L_0 ON T_SFC_STUDYRECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SFC_STUDYTYPE', 'T_SFC_STUDYTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SFC_STUDYTYPE_FNUMBER_IDX') CREATE INDEX T_SFC_STUDYTYPE_FNUMBER_IDX ON T_SFC_STUDYTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_SFC_STUDYTYPE_L', 'T_SFC_STUDYTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_STUDYTYPE_L_0') CREATE INDEX IDX_SFC_STUDYTYPE_L_0 ON T_SFC_STUDYTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SFC_STUDYUSER', 'T_SFC_STUDYUSER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_STUDYUSER_FK') CREATE INDEX IDX_SFC_STUDYUSER_FK ON T_SFC_STUDYUSER ( FID );


 EXEC P_ALTERPK 'PK_SRC_MUSTSRC', 'T_SRC_MUSTSRC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SRC_MUSTSRC_FK') CREATE INDEX IDX_SRC_MUSTSRC_FK ON T_SRC_MUSTSRC ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_constraint.sql **/
