﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_STAFFENTRY') 
 CREATE TABLE T_SFC_STAFFENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME,
FCATEGORY BIGINT DEFAULT 0 NOT NULL,
FSTAFFPOOLNUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEEDSNUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTAFFDISPATCH DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREQSTARTDATE DATETIME,
FREQENDDATE DATETIME,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_STAFFNEEDS') 
 CREATE TABLE T_SFC_STAFFNEEDS (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROJECT BIGINT DEFAULT 0 NOT NULL,
FPROFESSIONA BIGINT DEFAULT 0 NOT NULL,
FWORKHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISPATCHSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZDATA DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_SHIFTHO_SPNTCENTRY' AND KSQL_COL_NAME ='FTYPE') 
 ALTER TABLE T_SFC_SHIFTHO_SPNTCENTRY ADD (FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
