﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_XMANFTPROCESSENTRY') 
 CREATE TABLE T_SFC_XMANFTPROCESSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCESSENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPROCESSSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROCESSPLANBEGINTIME DATETIME,
FPROCESSPLANENDTIME DATETIME,
FPROCESSREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCESEQID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSREFERENCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSRELATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSOUTPUT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSOUTPUTDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSINPUT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSINPUTDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSPLANINTIME DATETIME,
FPROCESSPLANOUTTIME DATETIME,
FPROORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FPROCHANGETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROMANFTECHID BIGINT DEFAULT 0 NOT NULL,
FPROENTRYID BIGINT DEFAULT 0 NOT NULL
);

 EXEC P_ALTERPK 'PK_SFC_XMANFTPROCESSENTRY', 'T_SFC_XMANFTPROCESSENTRY', 'FPROCESSENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SFC_XMANFTPROCESSENTRY' AND KSQL_INDNAME = 'IDX_SFC_XMANFTPROCESSENTRY_FK') CREATE INDEX IDX_SFC_XMANFTPROCESSENTRY_FK ON T_SFC_XMANFTPROCESSENTRY ( FID );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
