/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_CHARARULE' AND KSQL_COL_NAME ='FTARGETFEATUREID') 
 ALTER TABLE T_PDM_CHARARULE ADD (FTARGETFEATUREID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_RULECONDITION') 
 CREATE TABLE T_PDM_RULECONDITION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLEFTBRACKET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFEATUREID BIGINT DEFAULT 0 NOT NULL,
FCOMPARE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALUETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FVALUE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FVALFEATUREDEF BIGINT DEFAULT 0 NOT NULL,
FRIGHTBRACKET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLINK NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_RULEPRECONDITION') 
 CREATE TABLE T_PDM_RULEPRECONDITION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRELEFTBRACKET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPREFEATUREID BIGINT DEFAULT 0 NOT NULL,
FPRECOMPARE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPREVALUETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPREVALUE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FPREVALFEATUREDEF BIGINT DEFAULT 0 NOT NULL,
FPRERIGHTBRACKET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRELINK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRETARGETFEATUREID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_RULECONCONDITION') 
 CREATE TABLE T_PDM_RULECONCONDITION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONLEFTBRACKET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONFEATUREID BIGINT DEFAULT 0 NOT NULL,
FCONCOMPARE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONVALUETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCONVALUE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCONVALFEATUREDEF BIGINT DEFAULT 0 NOT NULL,
FCONRIGHTBRACKET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONLINK NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_RULEFORMCONDITION') 
 CREATE TABLE T_PDM_RULEFORMCONDITION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFORMULALEFTBRACKET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFORMULAVALUETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FFORMULAVALUE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FFORMVALFEATUREDEF BIGINT DEFAULT 0 NOT NULL,
FFORMULACOMPARE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFORMULARIGHTBRACKET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFORMULALINK NVARCHAR(255) DEFAULT ' ' NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_table.sql **/