﻿--工程变更单 工程变更原因
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECO') 
 CREATE TABLE T_PDM_ECO (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTYPEID BIGINT DEFAULT 0 NOT NULL,
FVERSIONCONTROL CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT ' ' NOT NULL,
FDISABLEUSERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FENABLEUSERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOMENTRY_L') 
 CREATE TABLE T_PDM_ECOMENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOQTYENTRY') 
 CREATE TABLE T_PDM_ECOQTYENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ SMALLINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBATCHSTARTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBATCHENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FINVALIDDATE DATETIME,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FISSTEPFIX CHAR(1) DEFAULT '0' NOT NULL,
FSRCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOSETUPENTRY') 
 CREATE TABLE T_PDM_ECOSETUPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ SMALLINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOSETUPENTRY_L') 
 CREATE TABLE T_PDM_ECOSETUPENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(510) DEFAULT ' ' NOT NULL,
FSETUPLOCATION NVARCHAR(200) DEFAULT ' ' NOT NULL
);


 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECO_L') 
 CREATE TABLE T_PDM_ECO_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOMENTRY') 
 CREATE TABLE T_PDM_ECOMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ SMALLINT DEFAULT 0 NOT NULL,
FMODE CHAR(1) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FVERSIONID BIGINT DEFAULT 0 NOT NULL,
FQTYTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FINVALIDDATE DATETIME,
FAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMATERIALATTR VARCHAR(10) DEFAULT ' ' NOT NULL,
FOPERATIONNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FBOMID BIGINT DEFAULT 0 NOT NULL,
FTIMEUNIT CHAR(1) DEFAULT ' ' NOT NULL,
FSUPPLYTYPE CHAR(5) DEFAULT ' ' NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FISBACKFLUSH CHAR(1) DEFAULT '0' NOT NULL,
FISJUMPLEVEL CHAR(1) DEFAULT '0' NOT NULL,
FSUPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FISKEY CHAR(1) DEFAULT '0' NOT NULL,
FLEADTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISSUEMODE CHAR(5) DEFAULT ' ' NOT NULL,
FISSTOCKALLOC CHAR(1) DEFAULT '0' NOT NULL,
FOUTORGID BIGINT DEFAULT 0 NOT NULL,
FOUTWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FREPLACEPLANID BIGINT DEFAULT 0 NOT NULL,
FISREPLACEPLANMM CHAR(1) DEFAULT '0' NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECOPENTRY') 
 CREATE TABLE T_PDM_ECOPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ SMALLINT DEFAULT 0 NOT NULL,
FBOMID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FEXECDATE DATETIME,
FOLDVERSIONID BIGINT DEFAULT 0 NOT NULL,
FNEWVERSIONID BIGINT DEFAULT 0 NOT NULL,
FECNVERSIONID BIGINT DEFAULT 0 NOT NULL,
FEXECMODE CHAR(1) DEFAULT ' ' NOT NULL,
FEXECSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FECREASONID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECREASON') 
 CREATE TABLE T_PDM_ECREASON (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT ' ' NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDISABLEUSERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FENABLEUSERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECREASON_L') 
 CREATE TABLE T_PDM_ECREASON_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECOPENTRY' AND KSQL_COL_NAME ='FECN') 
 ALTER TABLE T_PDM_ECOPENTRY ADD (FECN VARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECOPENTRY' AND KSQL_COL_NAME ='FINVALIDDATE') 
 ALTER TABLE T_PDM_ECOPENTRY ADD (FINVALIDDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECOMENTRY' AND KSQL_COL_NAME ='FBOMENTRYID') 
 ALTER TABLE T_PDM_ECOMENTRY ADD (FBOMENTRYID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECOPENTRY' AND KSQL_COL_NAME ='FMATERIALID') 
ALTER TABLE T_PDM_ECOPENTRY ADD (FMATERIALID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_ECOPENTRY' AND KSQL_COL_NAME ='FENTRYVERSIONCONTROL') 
ALTER TABLE T_PDM_ECOPENTRY ADD (FENTRYVERSIONCONTROL VARCHAR(30) DEFAULT ' ' NOT NULL );

