﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_PROFESSIONFIELD_L') 
 CREATE TABLE T_PHM_PROFESSIONFIELD_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_PROFESSIONFIELD') 
 CREATE TABLE T_PHM_PROFESSIONFIELD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSUPFIELD BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FFIELDEXPLAIN NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_CLASSIFICATION_L') 
 CREATE TABLE T_PHM_CLASSIFICATION_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_BIZTYPE_L') 
 CREATE TABLE T_PHM_BIZTYPE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESCRIBE NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_BIZTYPE') 
 CREATE TABLE T_PHM_BIZTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_CLASSIFICATION') 
 CREATE TABLE T_PHM_CLASSIFICATION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATACONNECTION') 
 CREATE TABLE T_PHM_DATACONNECTION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FIP NVARCHAR(510) DEFAULT ' ' NOT NULL,
FAPPNO NVARCHAR(510) DEFAULT ' ' NOT NULL,
FAPPPASSWORD NVARCHAR(510) DEFAULT ' ' NOT NULL,
FACCOUNTID NVARCHAR(510) DEFAULT ' ' NOT NULL,
FTENANTID NVARCHAR(510) DEFAULT ' ' NOT NULL,
FLOGINUSER NVARCHAR(510) DEFAULT ' ' NOT NULL,
FLOGINWORD NVARCHAR(510) DEFAULT ' ' NOT NULL,
FDBNAME NVARCHAR(510) DEFAULT ' ' NOT NULL,
FORACLESERVICE NVARCHAR(510) DEFAULT ' ' NOT NULL,
FUNICODE NVARCHAR(510) DEFAULT ' ' NOT NULL,
FDATACENTER NVARCHAR(510) DEFAULT ' ' NOT NULL,
FEASSERVICE NVARCHAR(510) DEFAULT ' ' NOT NULL,
FWEBAPPNAME NVARCHAR(510) DEFAULT ' ' NOT NULL,
FAGENTUSER NVARCHAR(510) DEFAULT ' ' NOT NULL,
FHTTP NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLANGUAGE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FALLURL NVARCHAR(510) DEFAULT ' ' NOT NULL,
FALLURL_TAG NCLOB,
FFIXTOKEN NVARCHAR(510) DEFAULT ' ' NOT NULL,
FFIXTOKEN_TAG NCLOB,
FDYNAMICTOKEN NVARCHAR(510) DEFAULT ' ' NOT NULL,
FDYNAMICTOKEN_TAG NCLOB,
FLINKTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FHOST BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATACONNECTION_L') 
 CREATE TABLE T_PHM_DATACONNECTION_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATACONSUB') 
 CREATE TABLE T_PHM_DATACONSUB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FKEY NVARCHAR(510) DEFAULT ' ' NOT NULL,
FVALUE NVARCHAR(510) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_DATACONURL') 
 CREATE TABLE T_PHM_DATACONURL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINTMARK NVARCHAR(510) DEFAULT ' ' NOT NULL,
FURL NVARCHAR(510) DEFAULT ' ' NOT NULL,
FURL_TAG NCLOB,
FDESCRIPTION NVARCHAR(510) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
