﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_constraint.sql **/
EXEC p_DropIdx 'IDX_PHM_DATACONTENT_FK', 'T_PHM_DATACONTENT';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATACONTENT_FID') CREATE INDEX IDX_PHM_DATACONTENT_FID ON T_PHM_DATACONTENT ( FID );

EXEC p_DropIdx 'IDX_PHM_TABLECONTENT_FK', 'T_PHM_TABLECONTENT';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_TABLECONTENT_FID') CREATE INDEX IDX_PHM_TABLECONTENT_FID ON T_PHM_TABLECONTENT ( FID );

 EXEC P_ALTERPK 'PK_PHM_METAPARAM', 'T_PHM_METAPARAM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_METAPARAM_FID') CREATE INDEX IDX_PHM_METAPARAM_FID ON T_PHM_METAPARAM ( FID );


 EXEC P_ALTERPK 'PK_PHM_RESULTPARAM', 'T_PHM_RESULTPARAM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_RESULTPARAM_FID') CREATE INDEX IDX_PHM_RESULTPARAM_FID ON T_PHM_RESULTPARAM ( FID );


EXEC p_DropIdx 'IDX_PHM_FIELDRELATION_FK', 'T_PHM_FIELDRELATION';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_FIELDRELATION_FID') CREATE INDEX IDX_PHM_FIELDRELATION_FID ON T_PHM_FIELDRELATION ( FID );

 EXEC P_ALTERPK 'PK_PHM_DATAGETRULE', 'T_PHM_DATAGETRULE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATAGETRULE_FID') CREATE INDEX IDX_PHM_DATAGETRULE_FID ON T_PHM_DATAGETRULE ( FID );


 EXEC P_ALTERPK 'PK_PHM_DATAMAP', 'T_PHM_DATAMAP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATAMAP_FNUMBER') CREATE INDEX IDX_PHM_DATAMAP_FNUMBER ON T_PHM_DATAMAP ( FNUMBER );


 EXEC P_ALTERPK 'PK_PHM_DATAMAP_L', 'T_PHM_DATAMAP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATAMAP_L') CREATE INDEX IDX_PHM_DATAMAP_L ON T_PHM_DATAMAP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PHM_DATARELATION', 'T_PHM_DATARELATION', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_DATARELATION_FID') CREATE INDEX IDX_PHM_DATARELATION_FID ON T_PHM_DATARELATION ( FID );


 EXEC P_ALTERPK 'PK_PHM_GROUPSTD', 'T_PHM_GROUPSTD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_GROUPSTD_FNUMBER') CREATE INDEX IDX_PHM_GROUPSTD_FNUMBER ON T_PHM_GROUPSTD ( FNUMBER );


 EXEC P_ALTERPK 'PK_PHM_GROUPSTD_L', 'T_PHM_GROUPSTD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_GROUPSTD_L') CREATE INDEX IDX_PHM_GROUPSTD_L ON T_PHM_GROUPSTD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PHM_PKRELATION', 'T_PHM_PKRELATION', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_PKRELATION_FID') CREATE INDEX IDX_PHM_PKRELATION_FID ON T_PHM_PKRELATION ( FID );


EXEC p_DropIdx 'IDX_PHM_SRCLINK_FK', 'T_PHM_SRCLINK';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_SRCLINK_FID') CREATE INDEX IDX_PHM_SRCLINK_FID ON T_PHM_SRCLINK ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PHM_METADATA_FNUMBER') CREATE INDEX IDX_PHM_METADATA_FNUMBER ON T_PHM_METADATA ( FNUMBER );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_constraint.sql **/
