﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_BIZMODEL_I') 
 CREATE TABLE T_PHM_BIZMODEL_I (
FID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSTARTRUNTIME DATETIME,
FENDRUNTIME DATETIME,
FSCHEDULEPLAN BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_BM_EIGEN') 
 CREATE TABLE T_PHM_BM_EIGEN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(250) DEFAULT ' ' NOT NULL,
FSOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FEIGENEDIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVALUETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSET NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALUE_TAG NCLOB,
FISADD CHAR(1) DEFAULT '0' NOT NULL,
FSTOREVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTOREVALUE_TAG NCLOB,
FBIZMODELID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FELEMENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPONENTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUNITID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEIGENINFO NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FWIDTH BIGINT DEFAULT 0 NOT NULL,
FHEIGHT BIGINT DEFAULT 0 NOT NULL,
FBACKCOLOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEIGENINFO_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_CALCUMODEL_L') 
 CREATE TABLE T_PHM_CALCUMODEL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_CALCUMODEL') 
 CREATE TABLE T_PHM_CALCUMODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(400) DEFAULT ' ' NOT NULL,
FVERSION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISUPGRADE CHAR(1) DEFAULT '0' NOT NULL,
FSYMBOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FREMARK NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FXML NVARCHAR(510) DEFAULT ' ' NOT NULL,
FXML_TAG NCLOB,
FCELLSDATA NVARCHAR(510) DEFAULT ' ' NOT NULL,
FCELLSDATA_TAG NCLOB,
FIMPLEMENTCLASS NVARCHAR(500) DEFAULT ' ' NOT NULL,
FINTVERSION INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_CALC_RESREGIST') 
 CREATE TABLE T_PHM_CALC_RESREGIST (
FID BIGINT DEFAULT 0 NOT NULL,
FINSTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINSTIP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINSTINFO NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FLASTACCTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_REGISTMODEL') 
 CREATE TABLE T_PHM_REGISTMODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMODELNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
