-- description 增加节点类型自定义图标数据，自定义图标JSON字段脚本
-- author 郭凯斌
-- date 2020-08-06
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODETYPE' AND KSQL_COL_NAME ='FCUSTOMIMGDATA') 
 ALTER TABLE T_PHM_NODETYPE ADD (FCUSTOMIMGDATA NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODETYPE' AND KSQL_COL_NAME ='FCUSTOMIMGDATA_TAG') 
 ALTER TABLE T_PHM_NODETYPE ADD (FCUSTOMIMGDATA_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODETYPE' AND KSQL_COL_NAME ='FCUSTOMIMGJSON') 
 ALTER TABLE T_PHM_NODETYPE ADD (FCUSTOMIMGJSON NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_NODETYPE' AND KSQL_COL_NAME ='FCUSTOMIMGJSON_TAG') 
 ALTER TABLE T_PHM_NODETYPE ADD (FCUSTOMIMGJSON_TAG NCLOB );
