﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_COMMAND') 
 CREATE TABLE T_PHM_COMMAND (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCREATORGID BIGINT DEFAULT 0 NOT NULL,
FCLASSIFICATION BIGINT DEFAULT 0 NOT NULL,
FPROFESSIONID BIGINT DEFAULT 0 NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL,
FAUDITOR BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_COMMAND_L') 
 CREATE TABLE T_PHM_COMMAND_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_SEAT') 
 CREATE TABLE T_PHM_SEAT (
FID BIGINT DEFAULT 0 NOT NULL,
FMARKETING NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESIGNPROCESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLAN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCUREMENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOGISTICS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQUALITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEQUIPMENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENERGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSAFETY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMANDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_SEATENTRY') 
 CREATE TABLE T_PHM_SEATENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSEAT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDATA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDATA_TAG NCLOB,
FUNIQUEKEY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_VEIDOOSCENE') 
 CREATE TABLE T_PHM_VEIDOOSCENE (
FID BIGINT DEFAULT 0 NOT NULL,
FCOMMANDID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL,
FSIGNSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSIGNDATE DATETIME,
FBIZMODELID BIGINT DEFAULT 0 NOT NULL,
FVEIDOO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSEAT NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_GROUPDISPLAY') 
 CREATE TABLE T_PHM_GROUPDISPLAY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMANDID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSIGNSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSIGNDATE DATETIME,
FSETDATA NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSETDATA_TAG NCLOB
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PHM_table.sql **/
