﻿/**Begin D:\PDM_UPGRADE\pdm1\PHM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_BILLTEMP' AND KSQL_COL_NAME ='FBIZTYPE') 
 ALTER TABLE T_PHM_BILLTEMP ADD (FBIZTYPE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_BILLTEMP' AND KSQL_COL_NAME ='FPUBLISH') 
 ALTER TABLE T_PHM_BILLTEMP ADD (FPUBLISH NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_BILLTEMP' AND KSQL_COL_NAME ='FGROUP') 
 ALTER TABLE T_PHM_BILLTEMP ADD (FGROUP BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_BILLTEMP' AND KSQL_COL_NAME ='FREALROW') 
 ALTER TABLE T_PHM_BILLTEMP ADD (FREALROW INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_BILLTEMP' AND KSQL_COL_NAME ='FREALCOL') 
 ALTER TABLE T_PHM_BILLTEMP ADD (FREALCOL INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PHM_BILLTEMP' AND KSQL_COL_NAME ='FTEMPCONFID') 
 ALTER TABLE T_PHM_BILLTEMP ADD (FTEMPCONFID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_TEMP_BILLTEMPS') 
 CREATE TABLE T_PHM_TEMP_BILLTEMPS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_TEMP_DATATABLES') 
 CREATE TABLE T_PHM_TEMP_DATATABLES (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BILLTEMP_CONF') 
 CREATE TABLE T_BILLTEMP_CONF (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDATATEMPID BIGINT DEFAULT 0 NOT NULL,
FBASETABLE BIGINT DEFAULT 0 NOT NULL,
FBASESET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSELECTLINE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BILLTEMP_CONF_L') 
 CREATE TABLE T_BILLTEMP_CONF_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BILLTEMP_HEADCONF') 
 CREATE TABLE T_BILLTEMP_HEADCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FHEADCELLPO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADCELLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADCELLLOGIC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADCOL INT DEFAULT 0 NOT NULL,
FHEADROW INT DEFAULT 0 NOT NULL,
FHEADFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHEADFORMULA_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_FILLDATA_HISTORY') 
 CREATE TABLE T_PHM_FILLDATA_HISTORY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FSPREADJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSPREADJSON_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_FILLDATA_HISTORY_L') 
 CREATE TABLE T_PHM_FILLDATA_HISTORY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PHM_HISTORYROLES') 
 CREATE TABLE T_PHM_HISTORYROLES (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BILLTEMP_FIELDCONF') 
 CREATE TABLE T_BILLTEMP_FIELDCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDCELLPO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDCELLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATARESOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREFNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREFID BIGINT DEFAULT 0 NOT NULL,
FFIELDTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDLOGIC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNUBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCALCULATECONF NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCELLCOL INT DEFAULT 0 NOT NULL,
FSTARTROW INT DEFAULT 0 NOT NULL,
FFIELDFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELDFORMULA_TAG NCLOB
);



/**End D:\PDM_UPGRADE\pdm1\PHM_table.sql **/
