
EXEC P_ALTERPK 'PK_PMPD_RESOURCEPLAN', 'T_PMPD_RESOURCEPLAN', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_RESOURCEPLAN_FBILLNO') CREATE INDEX IDX_PMPD_RESOURCEPLAN_FBILLNO ON T_PMPD_RESOURCEPLAN ( FBILLNO );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_RESOURCEPLAN_FCT') CREATE INDEX IDX_PMPD_RESOURCEPLAN_FCT ON T_PMPD_RESOURCEPLAN ( FCREATETIME );


EXEC P_ALTERPK 'PK_PMPD_RESPLAN_CONTRACT', 'T_PMPD_RESPLAN_CONTRACT', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_RESCONTRACT_FS') CREATE INDEX IDX_PMPD_RESCONTRACT_FS ON T_PMPD_RESPLAN_CONTRACT ( FID ,FSEQ );


EXEC P_ALTERPK 'PK_PMPD_RESPLAN_CONTRACT_L', 'T_PMPD_RESPLAN_CONTRACT_L', 'FPKID', '1'; 
  
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_RESCONTRACT_L') CREATE INDEX IDX_PMPD_RESCONTRACT_L ON T_PMPD_RESPLAN_CONTRACT_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_PMPD_RESPLAN_PROJECT', 'T_PMPD_RESPLAN_PROJECT', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_RESPLANPROJECT_FS') CREATE INDEX IDX_PMPD_RESPLANPROJECT_FS ON T_PMPD_RESPLAN_PROJECT ( FID ,FSEQ );


EXEC P_ALTERPK 'PK_PMPD_RESPLAN_SITETIME', 'T_PMPD_RESPLAN_SITETIME', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_RESSITETIME_FS') CREATE INDEX IDX_PMPD_RESSITETIME_FS ON T_PMPD_RESPLAN_SITETIME ( FID ,FSEQ );