
EXEC P_ALTERPK 'PK_PMPD_CUSTOMER_WORKPKG', 'T_PMPD_CUSTOMER_WORKPKG', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_CUSTWORKPKG_FBILLNO') CREATE INDEX IDX_PMPD_CUSTWORKPKG_FBILLNO ON T_PMPD_CUSTOMER_WORKPKG ( FBILLNO );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_CUSTWORKPKG_FCT') CREATE INDEX IDX_PMPD_CUSTWORKPKG_FCT ON T_PMPD_CUSTOMER_WORKPKG ( FCREATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_CUSTWORKPKG_FORGID') CREATE INDEX IDX_PMPD_CUSTWORKPKG_FORGID ON T_PMPD_CUSTOMER_WORKPKG ( FORGID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_CUSTWORKPKG_FPARENTID') CREATE INDEX IDX_PMPD_CUSTWORKPKG_FPARENTID ON T_PMPD_CUSTOMER_WORKPKG ( FPARENTID );


EXEC P_ALTERPK 'PK_PMPD_OFFER_WORKPKG', 'T_PMPD_OFFER_WORKPKG', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_OFFER_WORKPKG_FS') CREATE INDEX IDX_PMPD_OFFER_WORKPKG_FS ON T_PMPD_OFFER_WORKPKG ( FID ,FSEQ );


EXEC P_ALTERPK 'PK_MPDM_OFFER_ATTACHMENT', 'T_PMPD_OFFER_ATTACHMENT', 'FPKID', '1'; 

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_OFFER_ATTACHMENT_E') CREATE INDEX IDX_PMPD_OFFER_ATTACHMENT_E ON T_PMPD_OFFER_ATTACHMENT ( FENTRYID );  


EXEC P_ALTERPK 'PK_PMPD_EXE_WORKPKG', 'T_PMPD_EXE_WORKPKG', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_EXE_WORKPKG_FS') CREATE INDEX IDX_PMPD_EXE_WORKPKG_FS ON T_PMPD_EXE_WORKPKG ( FID ,FSEQ );


EXEC P_ALTERPK 'PK_PMPD_EXE_ATTACHMENT', 'T_PMPD_EXE_ATTACHMENT', 'FPKID', '1'; 

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_EXE_ATTACHMENT_E') CREATE INDEX IDX_PMPD_EXE_ATTACHMENT_E ON T_PMPD_EXE_ATTACHMENT ( FENTRYID ); 






