 EXEC P_ALTERPK 'PK_PMPD_ESTIMATE_HOURS', 'T_PMPD_ESTIMATE_HOURS', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_ESTIMATE_HOURS_FNUM') CREATE INDEX IDX_PMPD_ESTIMATE_HOURS_FNUM ON T_PMPD_ESTIMATE_HOURS ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_ESTIMATE_HOURS_FISC') CREATE INDEX IDX_PMPD_ESTIMATE_HOURS_FISC ON T_PMPD_ESTIMATE_HOURS ( FCREATETIME );
 

 EXEC P_ALTERPK 'PK_PMPD_ESTIMATE_HOURS_L', 'T_PMPD_ESTIMATE_HOURS_L', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_ESTIMATE_HOURS_L') CREATE INDEX IDX_PMPD_ESTIMATE_HOURS_L ON T_PMPD_ESTIMATE_HOURS_L ( FID ,FLOCALEID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_ESTIMATE_HOURS_LNE') CREATE INDEX IDX_PMPD_ESTIMATE_HOURS_LNE ON T_PMPD_ESTIMATE_HOURS_L ( FNAME );
 

 EXEC P_ALTERPK 'PK_PMPD_ESTIMATE_ENTRY', 'T_PMPD_ESTIMATE_ENTRY', 'FENTRYID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_ESTIMATE_ENTRY_SEQ') CREATE INDEX IDX_PMPD_ESTIMATE_ENTRY_SEQ ON T_PMPD_ESTIMATE_ENTRY ( FID ,FSEQ );
 
 
 EXEC P_ALTERPK 'PK_PMPD_ESTIMATE_PROJECT', 'T_PMPD_ESTIMATE_PROJECT', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_ESTIMATE_PROJECT_FID') CREATE INDEX IDX_PMPD_ESTIMATE_PROJECT_FID ON T_PMPD_ESTIMATE_PROJECT ( FID );
 

 EXEC P_ALTERPK 'PK_PMPD_STAGE_HOURS', 'T_PMPD_STAGE_HOURS', 'FID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_STAGE_HOURS_FNUM') CREATE INDEX IDX_PMPD_STAGE_HOURS_FNUM ON T_PMPD_STAGE_HOURS ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_STAGE_HOURS_FISC') CREATE INDEX IDX_PMPD_STAGE_HOURS_FISC ON T_PMPD_STAGE_HOURS ( FCREATETIME );
 
 
 EXEC P_ALTERPK 'PK_PMPD_STAGE_HOURS_L', 'T_PMPD_STAGE_HOURS_L', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_STAGE_HOURS_L') CREATE INDEX IDX_PMPD_STAGE_HOURS_L ON T_PMPD_STAGE_HOURS_L ( FID ,FLOCALEID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_STAGE_HOURS_L_LNE') CREATE INDEX IDX_PMPD_STAGE_HOURS_L_LNE ON T_PMPD_STAGE_HOURS_L ( FNAME );
 

 EXEC P_ALTERPK 'PK_PMPD_STAGE_ENTRY', 'T_PMPD_STAGE_ENTRY', 'FENTRYID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_STAGE_ENTRY_SEQ') CREATE INDEX IDX_PMPD_STAGE_ENTRY_SEQ ON T_PMPD_STAGE_ENTRY ( FID ,FSEQ );
 
 
 EXEC P_ALTERPK 'PK_PMPD_STAGE_SUBENTRY', 'T_PMPD_STAGE_SUBENTRY', 'FDETAILID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_STAGE_SUBENTRY_SEQ') CREATE INDEX IDX_PMPD_STAGE_SUBENTRY_SEQ ON T_PMPD_STAGE_SUBENTRY ( FENTRYID ,FSEQ );
 

 EXEC P_ALTERPK 'PK_PMPD_STAGE_PROJECT', 'T_PMPD_STAGE_PROJECT', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_STAGE_PROJECT_FID') CREATE INDEX IDX_PMPD_STAGE_PROJECT_FID ON T_PMPD_STAGE_PROJECT ( FID );