IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECTSPECTASK') 
CREATE TABLE T_PMPD_PROJECTSPECTASK
(
	  FID               BIGINT          DEFAULT 0         NOT NULL,
	  FENTRYID          BIGINT          DEFAULT 0         NOT NULL,
	  FSEQ              INT             DEFAULT 0         NOT NULL,
	  FSTANDARDTASK     BIGINT          DEFAULT 0         NOT NULL
);

 EXEC P_ALTERPK 'PK_PMPD_PROJECTSPECTASK', 'T_PMPD_PROJECTSPECTASK', 'FENTRYID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PROJECTSPECTASK_SEQ') CREATE INDEX IDX_PMPD_PROJECTSPECTASK_SEQ ON T_PMPD_PROJECTSPECTASK ( FID ,FSEQ );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_PROJECTSPECTASK' AND KSQL_COL_NAME ='FSTANDARDTASK') 
 ALTER TABLE T_PMPD_PROJECTSPECTASK ADD (FSTANDARDTASK BIGINT DEFAULT 0 NOT NULL );