﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_RESPLAN_WORKHOUR')
CREATE TABLE T_PMPD_RESPLAN_WORKHOUR (
    FENTRYID                    BIGINT            DEFAULT 0       NOT NULL,        
    FID                         BIGINT            DEFAULT 0       NOT NULL,             
	FSEQ                        INT               DEFAULT 0       NOT NULL,                 
    FDATE                       DATETIME,                               
    FWORKHOUR                   DECIMAL(23,10)    DEFAULT 0       NOT NULL,    
    FEARLYWORKHOUR              DECIMAL(23,10)    DEFAULT 0       NOT NULL,      
    FMIDWORKHOUR                DECIMAL(23,10)    DEFAULT 0       NOT NULL,     
    FLATEWORKHOUR               DECIMAL(23,10)    DEFAULT 0       NOT NULL
);

EXEC P_ALTERPK 'PK_PMPD_RESPLAN_WORKHOUR', 'T_PMPD_RESPLAN_WORKHOUR', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_RESPLANWORKHOUR_FSEQ') CREATE INDEX IDX_PMPD_RESPLANWORKHOUR_FSEQ ON T_PMPD_RESPLAN_WORKHOUR  (FID,FSEQ);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_HOUR_ESTIMATE' AND KSQL_COL_NAME ='FISFROMTEMPLATE')
 ALTER TABLE T_PMPD_HOUR_ESTIMATE ADD ( FISFROMTEMPLATE  CHAR(1) DEFAULT '0' NOT NULL);







