﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_INTERACTLIST')
CREATE TABLE T_PMPD_INTERACTLIST
(
  FID                 BIGINT         DEFAULT   0      NOT NULL,   
  FBILLNO             NVARCHAR(30)   DEFAULT   ' '    NOT NULL, 	
  FBILLSTATUS         NVARCHAR(1)    DEFAULT   ' '    NOT NULL, 	
  FCREATORID          BIGINT         DEFAULT   0      NOT NULL,   
  FMODIFIERID         BIGINT         DEFAULT   0      NOT NULL,  	
  FAUDITORID          BIGINT         DEFAULT   0      NOT NULL,   
  FAUDITDATE          DATETIME ,                                 	
  FMODIFYTIME         DATETIME ,                  	           
  FCREATETIME         DATETIME ,                  	              
  FORGID              BIGINT         DEFAULT   0      NOT NULL,     
  FPROJECTID          BIGINT         DEFAULT   0      NOT NULL,   
  FPROJECTINTERACTID  BIGINT         DEFAULT   0      NOT NULL, 	
  FINTERACTDATE       DATETIME ,                	                
  FINTERACTERID       BIGINT         DEFAULT   0      NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_INTERACTLISTDT')
CREATE TABLE T_PMPD_INTERACTLISTDT
(
  FID             BIGINT        DEFAULT   0    NOT NULL,    
  FENTRYID        BIGINT        DEFAULT   0    NOT NULL,   
  FSEQ            INT           DEFAULT   0    NOT NULL,    
  FOBJNAME        NVARCHAR(50)  DEFAULT   ' '  NOT NULL, 	
  FOBJNUMBER      NVARCHAR(50)  DEFAULT   ' '  NOT NULL, 
  FINTERACTFILTER NVARCHAR(255) DEFAULT   ' '  NOT NULL, 	
  FDIRECTORY      NVARCHAR(50)  DEFAULT   ' '  NOT NULL, 	
  FINTERACTEMODEL NVARCHAR(50)  DEFAULT   ' '  NOT NULL, 	
  FDOCMLINK       NVARCHAR(50)  DEFAULT   ' '  NOT NULL, 	
  FINTERACTOBJ    NVARCHAR(5)   DEFAULT   ' '  NOT NULL, 
  FINTERACTTYPE   NVARCHAR(5)   DEFAULT   ' '  NOT NULL
);
