﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PANELLIST')
CREATE TABLE T_PMPD_PANELLIST (
    FID                         BIGINT          DEFAULT 0        NOT NULL,             
    FMANAGEID                   BIGINT          DEFAULT 0        NOT NULL,           
    FPROJECTID                  BIGINT          DEFAULT 0        NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PANELLISTENTRY')
CREATE TABLE T_PMPD_PANELLISTENTRY (
    FENTRYID                    BIGINT         DEFAULT 0         NOT NULL,             
    FID                         BIGINT         DEFAULT 0         NOT NULL,              
	FSEQ                        INT            DEFAULT 0         NOT NULL,                
    FJOBCARDID                  BIGINT         DEFAULT 0         NOT NULL,             
    FZONEID                     BIGINT         DEFAULT 0         NOT NULL,           
    FPANELWORKCARDID            BIGINT         DEFAULT 0         NOT NULL,              
    FTOTALHOURS                 DECIMAL(23,10) DEFAULT 0         NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PANELLISTSUBENTRY')
CREATE TABLE T_PMPD_PANELLISTSUBENTRY (
    FDETAILID                   BIGINT            DEFAULT 0     NOT NULL,             
    FENTRYID                    BIGINT            DEFAULT 0     NOT NULL,            
	FSEQ                        INT               DEFAULT 0     NOT NULL,                
    FPANELDEFID                 BIGINT            DEFAULT 0     NOT NULL,             
    FPANELHOURS                 DECIMAL(23,10)    DEFAULT 0     NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_WORKPKGVERSIONRPT')
CREATE TABLE T_PMPD_WORKPKGVERSIONRPT (
    FID                         BIGINT         DEFAULT 0         NOT NULL,          
    FMANAGEID                   BIGINT         DEFAULT 0         NOT NULL,           
    FPROJECTID                  BIGINT         DEFAULT 0         NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_VERSIONRPTSUB')
CREATE TABLE T_PMPD_VERSIONRPTSUB (
    FDETAILID                   BIGINT          DEFAULT 0          NOT NULL,             
    FENTRYID                    BIGINT          DEFAULT 0          NOT NULL,              
	FSEQ                        INT             DEFAULT 0          NOT NULL,                 
    FCUSTOMERJOBCARDNO          NVARCHAR(80)    DEFAULT ' '        NOT NULL,     
    FCUSTOMERJOBCARDVERSION     NVARCHAR(50)    DEFAULT ' '        NOT NULL,      
    FPROCESSRESULT              NVARCHAR(255)   DEFAULT ' '        NOT NULL,    
    FJOBCARDID                  BIGINT          DEFAULT 0          NOT NULL,             
    FWORKORDERID                BIGINT          DEFAULT 0          NOT NULL,          
    FWORKPACKENTRYID            BIGINT          DEFAULT 0          NOT NULL,              
    FMODIFIERID                 BIGINT          DEFAULT 0          NOT NULL,           
    FMODIFYDATETIME             DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_VERSIONRPTSUB_L')
CREATE TABLE T_PMPD_VERSIONRPTSUB_L (
    FPKID                       NVARCHAR(36)          DEFAULT ' '    NOT NULL,    
    FDETAILID                   BIGINT                DEFAULT 0      NOT NULL,            
    FLOCALEID                   NVARCHAR(10)          DEFAULT ' '    NOT NULL,  
    FPROCESSRESULT              NVARCHAR(255)         DEFAULT ' '    NOT NULL
);





