﻿  IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_HOUR_ESTIENTRY_S')
	  CREATE TABLE T_PMPD_HOUR_ESTIENTRY_S (
		FENTRYID                    BIGINT            DEFAULT 0        NOT NULL,        
		FID                         BIGINT            DEFAULT 0        NOT NULL,             
		FSEQ                        INT               DEFAULT 0        NOT NULL,             
		FINDUSTRYID                 BIGINT            DEFAULT 0        NOT NULL,              
		FROUTINEWORKHOUR            DECIMAL(23,10)    DEFAULT 0        NOT NULL,     
		FNONROUTINEWORKHOUR         DECIMAL(23,10)    DEFAULT 0        NOT NULL,     
		FTOTALHOURS                 DECIMAL(23,10)    DEFAULT 0        NOT NULL
	  );
	  
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_HOUR_ESTISUM_S')	  
	CREATE TABLE T_PMPD_HOUR_ESTISUM_S (
		FENTRYID                    BIGINT            DEFAULT 0    NOT NULL,            
		FID                         BIGINT            DEFAULT 0    NOT NULL,            
		FSEQ                        INT               DEFAULT 0    NOT NULL,              
		FDATE                       DATETIME,                       
		FWORKHOUR                   DECIMAL(23,10)    DEFAULT 0    NOT NULL,    
		FEARLYWORKHOUR              DECIMAL(23,10)    DEFAULT 0    NOT NULL, 
		FMIDWORKHOUR                DECIMAL(23,10)    DEFAULT 0    NOT NULL,   
		FLATEWORKHOUR               DECIMAL(23,10)    DEFAULT 0    NOT NULL
	);

  IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_HOUR_ESTISTAGE_S')	 
	CREATE TABLE T_PMPD_HOUR_ESTISTAGE_S (
		FDETAILID                   BIGINT            DEFAULT 0    NOT NULL,         
		FENTRYID                    BIGINT            DEFAULT 0    NOT NULL,           
		FSEQ                        INT               DEFAULT 0    NOT NULL,                
		FSTAGE                      INT               DEFAULT 0    NOT NULL,               
		FPERCENTAGE                 DECIMAL(23,10)    DEFAULT 0    NOT NULL
	);

  IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_HOUR_ESTIDAILY_S')	 
	CREATE TABLE T_PMPD_HOUR_ESTIDAILY_S (
		FDETAILID                   BIGINT            DEFAULT 0    NOT NULL,              
		FENTRYID                    BIGINT            DEFAULT 0    NOT NULL,            
		FSEQ                        INT               DEFAULT 0    NOT NULL,                 
		FINDUSTRYID                 BIGINT            DEFAULT 0    NOT NULL,          
		FDATE                       DATETIME,                             
		FWORKHOUR                   DECIMAL(23,10)    DEFAULT 0    NOT NULL,     
		FEARLYWORKHOUR              DECIMAL(23,10)    DEFAULT 0    NOT NULL,      
		FMIDWORKHOUR                DECIMAL(23,10)    DEFAULT 0    NOT NULL,    
		FLATEWORKHOUR               DECIMAL(23,10)    DEFAULT 0    NOT NULL
	);




