﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MONTHHOURBILL')
 CREATE TABLE T_PMPD_MONTHHOURBILL (
  FID              BIGINT          DEFAULT 0          NOT NULL,          	
  FBILLNO          NVARCHAR(30)    DEFAULT ' '        NOT NULL, 	
  FBILLSTATUS      NVARCHAR(1)     DEFAULT ' '        NOT NULL, 	
  FCREATORID       BIGINT          DEFAULT 0          NOT NULL,   
  FMODIFIERID      BIGINT          DEFAULT 0          NOT NULL,  	
  FAUDITORID       BIGINT          DEFAULT 0          NOT NULL,   
  FAUDITDATE       DATETIME ,                   
  FMODIFYTIME      DATETIME ,                  
  FCREATETIME      DATETIME ,                  
  FORGID           BIGINT          DEFAULT 0          NOT NULL,       
  FRESOURCEPLANID  BIGINT          DEFAULT 0          NOT NULL 	
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MONTHHOUR')
 CREATE TABLE T_PMPD_MONTHHOUR (
  FID              BIGINT          DEFAULT 0          NOT NULL,          	
  FENTRYID         BIGINT          DEFAULT 0          NOT NULL,     
  FSEQ             INT             DEFAULT 0          NOT NULL,           
  FINDUSTRYID      BIGINT          DEFAULT 0          NOT NULL,  
  FJANUARY         DECIMAL(23,10)  DEFAULT 0          NOT NULL, 
  FFEBRUARY        DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FMARCH           DECIMAL(23,10)  DEFAULT 0          NOT NULL, 
  FAPRIL           DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FMAY             DECIMAL(23,10)  DEFAULT 0          NOT NULL, 
  FJUNE            DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FJULY            DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FAUGUST          DECIMAL(23,10)  DEFAULT 0          NOT NULL, 
  FSEPTEMBER       DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FOCTOBER         DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FNOVEMBER        DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FDECEMBER        DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FTOTAL           DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FYEAR            INT             DEFAULT 0          NOT NULL        
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MONTHTOTAL')
 CREATE TABLE T_PMPD_MONTHTOTAL (
  FID              BIGINT          DEFAULT 0          NOT NULL,          	
  FENTRYID         BIGINT          DEFAULT 0          NOT NULL,     	
  FSEQ             INT             DEFAULT 0          NOT NULL,            
  FTYEAR           INT             DEFAULT 0          NOT NULL,         
  FTJANUARY        DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FTFEBRUARY       DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FTMARCH          DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FTAPRIL          DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FTMAY            DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FTJUNE           DECIMAL(23,10)  DEFAULT 0          NOT NULL, 
  FTJULY           DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FTAUGUST         DECIMAL(23,10)  DEFAULT 0          NOT NULL, 
  FTSEPTEMBER      DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FTOCTOBER        DECIMAL(23,10)  DEFAULT 0          NOT NULL, 
  FTNOVEMBER       DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FTDECEMBER       DECIMAL(23,10)  DEFAULT 0          NOT NULL, 	
  FTTOTAL          DECIMAL(23,10)  DEFAULT 0          NOT NULL
);





