﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_JOBPARAMS')
 CREATE TABLE T_PMPD_JOBPARAMS (
	  FID              BIGINT           DEFAULT 0      NOT NULL,          	
	  FNUMBER          NVARCHAR(30)     DEFAULT ' '    NOT NULL, 	
	  FSTATUS          NVARCHAR(1)      DEFAULT ' '    NOT NULL, 	
	  FCREATORID       BIGINT           DEFAULT 0      NOT NULL,   	
	  FMODIFIERID      BIGINT           DEFAULT 0      NOT NULL,  	
	  FENABLE          NVARCHAR(1)      DEFAULT ' '    NOT NULL, 	
	  FCREATETIME      DATETIME ,                 
	  FMODIFYTIME      DATETIME ,                
	  FMASTERID        BIGINT           DEFAULT 0      NOT NULL,    
	  FISCURMONTH      CHAR(1)          DEFAULT '0'    NOT NULL, 	
	  FFILTERSTR       NVARCHAR(255)    DEFAULT ' '    NOT NULL, 	
	  FFILTERSTR_TAG   NCLOB            DEFAULT ' ',
	  FFIXED           NVARCHAR(255)    DEFAULT ' '    NOT NULL, 	
	  FFIXED_TAG       NCLOB            DEFAULT ' ', 
	  FNOTFIXED        NVARCHAR(255)    DEFAULT ' '    NOT NULL, 	
	  FNOTFIXED_TAG    NCLOB            DEFAULT ' ',
	  FNAME            NVARCHAR(50)     DEFAULT ' '    NOT NULL	
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_JOBPARAMS_L')
 CREATE TABLE T_PMPD_JOBPARAMS_L (
	  FPKID            NVARCHAR(255)    DEFAULT ' '     NOT NULL,          
	  FID              BIGINT           DEFAULT 0       NOT NULL,          
	  FLOCALEID        NVARCHAR(255)    DEFAULT ' '     NOT NULL,          
	  FNAME            NVARCHAR(50)     DEFAULT ' '     NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECTSPECPKGM') 
CREATE TABLE T_PMPD_PROJECTSPECPKGM
(
  FPKID         BIGINT DEFAULT 0 NOT NULL,
  FENTRYID      BIGINT DEFAULT 0 NOT NULL,
  FBASEDATAID   BIGINT DEFAULT 0 NOT NULL
);








