﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MROACTSUBENTRY') 
 CREATE TABLE T_SFC_MROACTSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSTAGE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACTACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FACTSTANDARDFORMULAID BIGINT DEFAULT 0 NOT NULL,
FACTMINFORMULAID BIGINT DEFAULT 0 NOT NULL,
FACTSTANDARDFORMULA1ID BIGINT DEFAULT 0 NOT NULL,
FACTMINFORMULA1 BIGINT DEFAULT 0 NOT NULL,
FACTPLANTOTALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTPLANBEGINTIME DATETIME,
FACTPLANFINISHTIME DATETIME,
FSOURCEACTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACTRESOURCES BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FACTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MROMANLOGENTRY') 
 CREATE TABLE T_SFC_MROMANLOGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPLANBEGINTIME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLANENDTIME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGETIME DATETIME,
FASSIGNOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MROMANUFTECH') 
 CREATE TABLE T_SFC_MROMANUFTECH (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMANUFACTUREORDER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMFTENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANSTARTTIME DATETIME,
FPLANFINISHTIME DATETIME,
FPROCESSROUTEID BIGINT DEFAULT 0 NOT NULL,
FTRANSACTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTIONWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FMANUFACTUREORDERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALMODEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKCARDID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FACTUALHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWORKHOURUNITID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MROMANUFTECH_E') 
 CREATE TABLE T_SFC_MROMANUFTECH_E (
FID BIGINT DEFAULT 0 NOT NULL,
FBOMVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLANTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENTPLANID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENTSEQID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPTYUNIT BIGINT DEFAULT 0 NOT NULL,
FAUXPTYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCHEDULPLANID BIGINT DEFAULT 0 NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MROMANUFTECHLOG') 
 CREATE TABLE T_SFC_MROMANUFTECHLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FMANBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMANOPRNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMANBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMANBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MROMULRECEIVER') 
 CREATE TABLE T_SFC_MROMULRECEIVER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MROPROCESSENTRY') 
 CREATE TABLE T_SFC_MROPROCESSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPROCESSSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROCESSPLANBEGINTIME DATETIME,
FPROCESSPLANENDTIME DATETIME,
FPROCESSREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCESEQID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSREFERENCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSRELATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSOUTPUT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSOUTPUTDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSINPUT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSINPUTDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSPLANINTIME DATETIME,
FPROCESSPLANOUTTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MRORELATIONENTRY') 
 CREATE TABLE T_SFC_MRORELATIONENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTURNOUTPROCESSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONPARSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONPARSEQNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERPROCESSNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERPROCESSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTURNOUTPROCESSNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARALLELRATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPLANTRANSFERTIME DATETIME,
FPLANTURNOUTTIME DATETIME,
FSOURCERELID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MROREPSUBENTRY') 
 CREATE TABLE T_SFC_MROREPSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FREPACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FREPBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPACTUALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPACTUALBEGINTIME DATETIME,
FREPACTUALFINISHTIME DATETIME,
FSRCENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPRESOURCES BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MROSCHSUBENTRY') 
 CREATE TABLE T_SFC_MROSCHSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSCHRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FSOURCERESID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MROMANFTECHENTRY') 
 CREATE TABLE T_SFC_MROMANFTECHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOPRNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMACHININGTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRORGID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKCENTERID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FOPROPERATIONID BIGINT DEFAULT 0 NOT NULL,
FOPRCTRLSTRATEGY BIGINT DEFAULT 0 NOT NULL,
FOPRSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRSTANDARDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRUNITID BIGINT DEFAULT 0 NOT NULL,
FOPRSOURCETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRSOURCEENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRINVALID CHAR(1) DEFAULT '0' NOT NULL,
FOPRPLANBEGINTIME DATETIME,
FOPRPLANFINISHTIME DATETIME,
FOPERATIONUNITID BIGINT DEFAULT 0 NOT NULL,
FOPRPRODUCTIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALJUNKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRACTUALENDTIME DATETIME,
FOPRACTUALBEGINTIME DATETIME,
FOPRSUMACTUALHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRSTUDYSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRASSIGNORID BIGINT DEFAULT 0 NOT NULL,
FOPRMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPRPROCESSGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPRPROFESSIONAID BIGINT DEFAULT 0 NOT NULL,
FOPRWBSID BIGINT DEFAULT 0 NOT NULL,
FOPRTASKID BIGINT DEFAULT 0 NOT NULL,
FOPRFUNCTIONLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FOPRISHANDOVER CHAR(1) DEFAULT '0' NOT NULL,
FOPRCHECKERID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKHOURUNITID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MROMANFTECHENTRY_E') 
 CREATE TABLE T_SFC_MROMANFTECHENTRY_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FOPRPARENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPURCHASEORGID BIGINT DEFAULT 0 NOT NULL,
FTOTALSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPREARLIESTBEGINTIME DATETIME,
FOPRLATESTBEGINTIME DATETIME,
FOPREARLIESTFINISHTIME DATETIME,
FOPRLATESTFINISHTIME DATETIME,
FOPRISSPLIT CHAR(1) DEFAULT '0' NOT NULL,
FOPRSUGGESTSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRACTUALSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRMINWORKTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTIMEUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRISPROCESSOVERLAP CHAR(1) DEFAULT '0' NOT NULL,
FOPRMINOVERLAPTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPROVERLAPTIMEUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPROVERLAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERLAPUNITID BIGINT DEFAULT 0 NOT NULL,
FPARENTOPRID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUPPERRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFLOORRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHEADQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHEADUNITID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEBATCHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCHEDULINGCALENDAR BIGINT DEFAULT 0 NOT NULL,
FOPRTOTALINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALOUTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALREPORTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALCONCESSIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALSCRAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALWASTEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALMATERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRREPAIREDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALUNQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALREWORKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALRECEIVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHREWORKREPORTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREWORKREPORTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MROMANFTECHENTRY_F') 
 CREATE TABLE T_SFC_MROMANFTECHENTRY_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPURCHASEGROUPID BIGINT DEFAULT 0 NOT NULL,
FPURCHASEPERSONID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL,
FTAXRATE BIGINT DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEMENTUNITID BIGINT DEFAULT 0 NOT NULL,
FSETTLEMENTCOEFFICIENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALDOWNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYMATERIALID BIGINT DEFAULT 0 NOT NULL,
FPURAPPLYNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURORDERNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHPURBILLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWASTETAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWASTEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRIPTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRIPPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTORAGEPOINT CHAR(1) DEFAULT '0' NOT NULL,
FPUSHREPORTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOLLABORATIVE CHAR(1) DEFAULT '0' NOT NULL,
FWORKSTATIONID BIGINT DEFAULT 0 NOT NULL,
FUPPERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFLOORQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRPARENTNUM BIGINT DEFAULT 0 NOT NULL,
FOPRNONUM BIGINT DEFAULT 0 NOT NULL,
FPUSHREWORKREPORTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALOUTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHREPORTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRREPAIREDBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALREPORTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREWORKREPORTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALQUALIFIEDBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALRECEIVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALWASTEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALMATERIALBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALJUNKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALREWORKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINSPECTIONTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
