IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_FILTER_MULTIPRO') 
 CREATE TABLE T_SFC_FILTER_MULTIPRO (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

 EXEC P_ALTERPK 'PK_SFC_FILTER_MULTIPRO', 'T_SFC_FILTER_MULTIPRO', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_FILTER_MULTIPRO_FK') CREATE INDEX IDX_SFC_FILTER_MULTIPRO_FK ON T_SFC_FILTER_MULTIPRO ( FID ,FBASEDATAID );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MULTIPROFESSION') 
 CREATE TABLE T_SFC_MULTIPROFESSION (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

 EXEC P_ALTERPK 'PK_SFC_MULTIPROFESSION', 'T_SFC_MULTIPROFESSION', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MULTIPROFESSION_FK') CREATE INDEX IDX_SFC_MULTIPROFESSION_FK ON T_SFC_MULTIPROFESSION ( FENTRYID ,FBASEDATAID );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_DPENTRY_OPR' AND KSQL_COL_NAME ='FINFORMCONTEXT')
ALTER TABLE T_SFC_DPENTRY_OPR ADD (FINFORMCONTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_DPENTRY_OPR' AND KSQL_COL_NAME ='FINFORMCONTEXT_TAG')
ALTER TABLE T_SFC_DPENTRY_OPR ADD (FINFORMCONTEXT_TAG NCLOB);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_DPENTRY_OPR' AND KSQL_COL_NAME ='FHANDLESTATUS')
ALTER TABLE T_SFC_DPENTRY_OPR ADD (FHANDLESTATUS CHAR(1) DEFAULT '0' NOT NULL);