﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DAILYCOOR_FILTER') 
 CREATE TABLE T_SFC_DAILYCOOR_FILTER (
FID BIGINT DEFAULT 0 NOT NULL,
FPROFESSIONID BIGINT DEFAULT 0 NOT NULL,
FPROVIDETIME DATETIME NULL,
FHOPETIME DATETIME NULL,
FISPLANEPROJECT CHAR(1) DEFAULT '0' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOUSERID BIGINT DEFAULT 0 NOT NULL
);

 EXEC P_ALTERPK 'PK_SFC_DAILYCOOR_FILTER', 'T_SFC_DAILYCOOR_FILTER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_DAILYCO_FPROFESSION') CREATE INDEX IDX_SFC_DAILYCO_FPROFESSION ON T_SFC_DAILYCOOR_FILTER ( FPROFESSIONID );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_COOR_MULPROJECT') 
 CREATE TABLE T_SFC_COOR_MULPROJECT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

 EXEC P_ALTERPK 'PK_SFC_COOR_MULPROJECT', 'T_SFC_COOR_MULPROJECT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_COOR_MULPROJECT_FK') CREATE INDEX IDX_SFC_COOR_MULPROJECT_FK ON T_SFC_COOR_MULPROJECT ( FID );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DP_SPLITNO') 
 CREATE TABLE T_SFC_DP_SPLITNO (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENTNO BIGINT DEFAULT 0 NOT NULL
);

 EXEC P_ALTERPK 'PK_SFC_DP_SPLITNO', 'T_SFC_DP_SPLITNO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_DP_SPLITNO_FBILLNO') CREATE INDEX IDX_SFC_DP_SPLITNO_FBILLNO ON T_SFC_DP_SPLITNO ( FBILLNO );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
