﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\POM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_MROMANFPANELENTRY') 
 CREATE TABLE T_SFC_MROMANFPANELENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPANELSHOW BIGINT DEFAULT 0 NOT NULL,
FPANELPLANHOUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPANELCHANGER BIGINT DEFAULT 0 NOT NULL,
FPANELCHANGETIME DATETIME
);
 EXEC P_ALTERPK 'PK_SFC_MROMANFPANELENTRY', 'T_SFC_MROMANFPANELENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_MROMANFPANELENTRY_FK') CREATE INDEX IDX_SFC_MROMANFPANELENTRY_FK ON T_SFC_MROMANFPANELENTRY ( FID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_MROMANFTECHENTRY' AND KSQL_COL_NAME ='FPLANHOURSUM') 
 ALTER TABLE T_SFC_MROMANFTECHENTRY ADD (FPLANHOURSUM DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\POM_table.sql **/
