﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_XMANFTACTSUBENTRY') 
 CREATE TABLE T_SFC_XMANFTACTSUBENTRY (
FPROCESSENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSTAGE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACTACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FACTSTANDARDFORMULAID BIGINT DEFAULT 0 NOT NULL,
FACTMINFORMULAID BIGINT DEFAULT 0 NOT NULL,
FACTSTANDARDFORMULA1ID BIGINT DEFAULT 0 NOT NULL,
FACTMINFORMULA1 BIGINT DEFAULT 0 NOT NULL,
FACTPLANTOTALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTPLANBEGINTIME DATETIME,
FACTPLANFINISHTIME DATETIME,
FSOURCEACTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACTRESOURCES BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FACTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCACTSUBENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_XMANFTECHENTRY_E') 
 CREATE TABLE T_SFC_XMANFTECHENTRY_E (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCESSENTRYID BIGINT DEFAULT 0 NOT NULL,
FUPPERRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHEADQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHEADUNITID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCHEDULINGCALENDAR BIGINT DEFAULT 0 NOT NULL,
FPUSHPURBILLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWASTETAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWASTEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRIPTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRIPPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTORAGEPOINT CHAR(1) DEFAULT '0' NOT NULL,
FPUSHREPORTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOLLABORATIVE CHAR(1) DEFAULT '0' NOT NULL,
FWORKSTATIONID BIGINT DEFAULT 0 NOT NULL,
FOPRTOTALREWORKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALRECEIVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALJUNKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUPPERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFLOORQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHREWORKREPORTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREWORKREPORTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHREWORKREPORTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALOUTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHREPORTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRREPAIREDBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALREPORTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREWORKREPORTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALQUALIFIEDBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALRECEIVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALWASTEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALMATERIALBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALJUNKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALREWORKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINSPECTIONTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACTUALSTARTTIME DATETIME,
FACTUALCOMPLETIONTIME DATETIME,
FREWORKEDREWORKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIRSTINSPECTION CHAR(1) DEFAULT '0' NOT NULL,
FFIRSTINSPECTIONSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIRSTINSPECTIONCONTROL NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_XMANFTECHENTRY_F') 
 CREATE TABLE T_SFC_XMANFTECHENTRY_F (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCESSENTRYID BIGINT DEFAULT 0 NOT NULL,
FMACHININGTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPURCHASEORGID BIGINT DEFAULT 0 NOT NULL,
FFLOORRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURCHASEGROUPID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL,
FTAXRATE BIGINT DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEMENTUNITID BIGINT DEFAULT 0 NOT NULL,
FSETTLEMENTCOEFFICIENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALDOWNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYMATERIALID BIGINT DEFAULT 0 NOT NULL,
FPURAPPLYNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURORDERNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALUNQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FPUSHOPROUTORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPUSHOPROUTORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOPROUTORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOPROUTORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRUSTORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRUSTEDORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRUSTRINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRUSTFINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRUSTDINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_XMFTORDERENTRY_M') 
 CREATE TABLE T_SFC_XMFTORDERENTRY_M (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMFTENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FBOMVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANSTARTTIME DATETIME,
FPLANFINISHTIME DATETIME,
FPROCESSROUTEID BIGINT DEFAULT 0 NOT NULL,
FPLANTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENTPLANID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENTSEQID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSACTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTIONWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPTYUNIT BIGINT DEFAULT 0 NOT NULL,
FAUXPTYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULPLANID BIGINT DEFAULT 0 NOT NULL,
FMANUFACTUREORDERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FBDPROJECT BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVERSION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCHANGESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_XMANFTECHENTRY') 
 CREATE TABLE T_SFC_XMANFTECHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FPROCESSENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOPRPARENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRORGID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKCENTERID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FOPROPERATIONID BIGINT DEFAULT 0 NOT NULL,
FOPRCTRLSTRATEGY BIGINT DEFAULT 0 NOT NULL,
FOPRSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRSTANDARDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRUNITID BIGINT DEFAULT 0 NOT NULL,
FOPRSOURCETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRSOURCEENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRINVALID CHAR(1) DEFAULT '0' NOT NULL,
FOPRPLANBEGINTIME DATETIME,
FOPRPLANFINISHTIME DATETIME,
FOPREARLIESTBEGINTIME DATETIME,
FOPRLATESTBEGINTIME DATETIME,
FOPREARLIESTFINISHTIME DATETIME,
FOPRLATESTFINISHTIME DATETIME,
FOPRISSPLIT CHAR(1) DEFAULT '0' NOT NULL,
FOPRSUGGESTSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRACTUALSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRMINWORKTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTIMEUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRISPROCESSOVERLAP CHAR(1) DEFAULT '0' NOT NULL,
FOPRMINOVERLAPTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPROVERLAPTIMEUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPROVERLAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERLAPUNITID BIGINT DEFAULT 0 NOT NULL,
FPARENTOPRID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEBATCHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRPRODUCTIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALOUTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALREPORTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALCONCESSIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALWASTEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALMATERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRREPAIREDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRPARENTNUM BIGINT DEFAULT 0 NOT NULL,
FOPRNONUM BIGINT DEFAULT 0 NOT NULL,
FOPRTOTALSPLITBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FECOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FBEGINWORKBF CHAR(1) DEFAULT '0' NOT NULL,
FOPRCHANGETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRENTRYID BIGINT DEFAULT 0 NOT NULL,
FOPRORDERID BIGINT DEFAULT 0 NOT NULL,
FOPRMANFTECHID BIGINT DEFAULT 0 NOT NULL,
FISMILESTONEPROCESS CHAR(1) DEFAULT '0' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
