/**Begin D:\PDM_UPGRADE\PDM1\SFC_constraint.sql **/
 EXEC P_ALTERPK 'PK_SFC_SUBREPORTACTIVITY', 'T_SFC_SUBREPORTACTIVITY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_SUBREPORTACTIVITY_FK') CREATE INDEX IDX_SFC_SUBREPORTACTIVITY_FK ON T_SFC_SUBREPORTACTIVITY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SFC_SUBREPOPERATOR', 'T_SFC_SUBREPOPERATOR', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_SUBREPOPERATOR_FENTRY') CREATE INDEX IDX_SFC_SUBREPOPERATOR_FENTRY ON T_SFC_SUBREPOPERATOR ( FENTRYID );


 EXEC P_ALTERPK 'PK_SFC_SUBINSTORAGE', 'T_SFC_SUBINSTORAGE', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_SUBINSTORAGE_FENTRYID') CREATE INDEX IDX_SFC_SUBINSTORAGE_FENTRYID ON T_SFC_SUBINSTORAGE ( FENTRYID );


 EXEC P_ALTERPK 'PK_SFC_REPOPERATOR', 'T_SFC_REPOPERATOR', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_REPOPERATOR_FID') CREATE INDEX IDX_SFC_REPOPERATOR_FID ON T_SFC_REPOPERATOR ( FID );


 EXEC P_ALTERPK 'PK_SFC_PROCESSRPTENT_L', 'T_SFC_PROCESSRPTENT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_PROCESSRPTENT_FENTRY') CREATE INDEX IDX_SFC_PROCESSRPTENT_FENTRY ON T_SFC_PROCESSRPTENT_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SFC_PROCESSRPTENT', 'T_SFC_PROCESSRPTENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_PROCESSRPTENT_FID') CREATE INDEX IDX_SFC_PROCESSRPTENT_FID ON T_SFC_PROCESSRPTENT ( FID );


 EXEC P_ALTERPK 'PK_SFC_PROCESSREPORT_L', 'T_SFC_PROCESSREPORT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_PROCESSREPORT_FID') CREATE INDEX IDX_SFC_PROCESSREPORT_FID ON T_SFC_PROCESSREPORT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SFC_PROCESSREPORT', 'T_SFC_PROCESSREPORT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_PROCESSREPORT_FK') CREATE INDEX IDX_SFC_PROCESSREPORT_FK ON T_SFC_PROCESSREPORT ( FBILLNO );


 EXEC P_ALTERPK 'PK_SFC_OTHERPRODUCTRPT_L', 'T_SFC_OTHERPRODUCTRPT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_OTHERPRODUCTRPT_L_0') CREATE INDEX IDX_SFC_OTHERPRODUCTRPT_L_0 ON T_SFC_OTHERPRODUCTRPT_L ( FDETAILID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SFC_OTHERPRODUCTRPT', 'T_SFC_OTHERPRODUCTRPT', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_OTHERPRODUCTRPT_FK') CREATE INDEX IDX_SFC_OTHERPRODUCTRPT_FK ON T_SFC_OTHERPRODUCTRPT ( FENTRYID );



/**End D:\PDM_UPGRADE\PDM1\SFC_constraint.sql **/
